var Vue_recharge;
mui.ready(function() {

	Vue_recharge = new Vue({
		el: '#container-recharge',
		data: {
			bankCode: '',
			bankMsg: '',
			bankName: '',
			bankList: []
		}
	});

	init();
	
	window.addEventListener('refresh', function() {
		init();
	});

	mui('#container-recharge').on('tap', '.bank-limit', function() {
		layer.open({
			type: 1,
			className: 'popup-bank', //样式类名
			anim: 2,
			fixed: true,
			shade: 'background-color: rgba(0,0,0,.3)',
			shadeClose: true, //开启遮罩关闭
			content: $(".bank-wrapper").html()
		});
	});

	mui('#container-recharge').on('tap', '.confirm-btn', function() {
		var amount = $('#recharge-money').val();
		
		ajaxPayment(amount);
	});
	
	mui.back = function() {
		var getTopWebview = plus.webview.getTopWebview();
		plus.webview.close(getTopWebview);
	}
});

var ajaxPayment = function(amount) {
	mui.openWindow(path_http + 'lanmao/recharge.htm?amount=' + amount)
};

function convert(items) {
	var lists = [];
	items.forEach(function(item) {
		lists.push({
			name: item.name,
			onceLimit: item.onceLimit,
			dayLimit: item.dayLimit,
			monthLimit: item.monthLimit
		});
	});

	return lists;
}

function init(){
	mui.ajax(path_http + 'lanmao/toRecharge.htm?APP_SOURCE='+TEXT.APP_SOURCE, {
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data.result === 1) {
				Vue_recharge.bankCode = data.bankCode;
				Vue_recharge.bankMsg = '(' + data.bankMsg + ')';
				Vue_recharge.bankName = data.bankName + ' (' + data.bankNo4 + ')';
				Vue_recharge.bankList = convert(data.bankList);
			} else {
				var isLogin = plus.storage.getItem('userName');
				if(isLogin && isLogin.length > 0){
					autoLogin(init);
				}else{
					mui.toast(data.errorMsg);
				}
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络连接失败");
		}
	});
}
