var total = 0;
//测评结果数据
var testResult=[
		{
		 testType: "保守型",
		 testDesc1: "您属于风险极度厌恶者，不愿承担任何风险，不建议您出借金融理财产品。",
		 testDesc2: "您适合出借的借款项目：借款人信用评价为优良、良好的个人借款标、企业标。",
		 testDesc3: "出借限额：单笔可出借金额不超过20万，累计可出借金额不超过100万。"
		},
		{
		 testType: "相对保守型",
		 testDesc1: "您属于可承担较小风险类型的出借人，止损意识较强，首要目的是保持出借的稳定性与资产的保值，适合出借风险较小的产品。",
		 testDesc2: "您适合出借的借款项目：借款人信用评价为优良、良好、较好的个人借款标、企业标。",
		 testDesc3: "出借限额：单笔可出借金额不超过30万，累计可出借金额不超过150万。"
		},
		{
		 testType: "稳健型",
		 testDesc1: "您属于可承担中等风险类型的出借人，出借目标为寻求资本缓和升值，其次为资本保值，可接受收益小幅度波动，适合出借有较好升值能力的产品。",
		 testDesc2: "您适合出借的借款项目：借款人信用评价为优良、良好、较好、一般的个人借款标、企业标。",
		 testDesc3: "出借限额：单笔可出借金额不超过50万，累计可出借金额不超过200万。"
		},
		{
		 testType: "成长型",
		 testDesc1: "您属于可接受较高风险类型的出借人，对风险有较好认识，能够接受本金一定折损，适合出借于升值能力较强，而出借价值有波动的出借产品。",
		 testDesc2: "您适合出借的借款项目：借款人信用评价为优良、良好、较好、一般的个人借款标、企业标。",
		 testDesc3: "出借限额：单笔可出借金额不超过100万，累计可出借金额不超过500万。"
		},
		{
		 testType: "积极型",
		 testDesc1: "您属于可承担高风险类型的出借人，对风险有较深认识并拥有很强的承受能力，能够接受收益大幅度波动以获得更高获利可能。",
		 testDesc2: "您适合出借的借款项目：平台发布的所有个人借款标、企业标。",
		 testDesc3: "出借限额：出借不设限制。"
		}
];
mui.ready(function() {
	mui('.questionnaire-container').on('tap', '.risk-answer', function() {
		$(this).addClass("risk-selected").siblings().removeClass("risk-selected");
	});

	mui('.questionnaire-container').on('tap', '.risk-submit', function() {
		var isSelected = false;
		var level = 0;
		$(".risk-answer-content").each(function() {
			var isAllcheck = $(this).children().hasClass("risk-selected");
			if(!isAllcheck) {
				mui.toast('您有未选择的题目，请重新选择。');
				return;
			}
			total = 0;
			$(".risk-selected").each(function(index) {
				var score = parseInt($(this).data("score"), 10);
				total += score;
			});
			//评分计算区间
			if(total <= 10) {
				level = 0;
			} else if(total <= 18) {
				level = 1;
			} else if(total <= 27) {
				level = 2;
			} else if(total <= 36) {
				level = 3;
			} else if(total <= 45) {
				level = 4;
			}
			
			layerResult(level);
		});
	});
	
	$(document).on('click', '.risk-popup-invest', function(){
		layer.closeAll();
		var source = 3;
		if (mui.os.ios) {
			source = 4;
		}
		mui.ajax(path_http + 'user/riskQuestionnaire.htm',{
			data:{
				score: total,
				source: source,
				APP_SOURCE: TEXT.APP_SOURCE
			},
			dataType:'json',//服务器返回json格式数据
			type:'post',//HTTP请求类型
			timeout:10000,//超时时间设置为10秒；
			success:function(data){
				if (data.result === 1) {
					mui.toast('保存成功');
					var webview = plus.webview.getWebviewById('html/account/account.html');
					mui.fire(webview,'refresh');
					mui.back();
				} else{
					mui.toast(data.errorMsg);
				}
			},
			error:function(xhr,type,errorThrown){
				mui.toast(type);
			}
		});
	});
});

function layerResult(level) {
	//测评结果
	layer.open({
		className: "risk-popup-container",
		shade: 'background-color: rgba(0,0,0,.4)',
		shadeClose: false,
		content: '<div class="risk-popup">\
						<div class="risk-popup-img">\
							<p class="risk-popup-txt"> ' + testResult[level].testType + ' </p>\
						</div>\
						<p class="risk-popup-tips1">' + testResult[level].testDesc1 + '</p>\
						<p class="risk-popup-tips2">' + testResult[level].testDesc2 + '</p>\
						<p class="risk-popup-tips3">' + testResult[level].testDesc3 + '</p>\
						<div class="risk-popup-invest">保存结果</div>\
						<p class="reset-test">重新测评></p>\
					</div>'
	});
}