mui.ready(function() {

	var Vue_welfare = new Vue({
		el: '.welfare-container',
		data: {
			redpackets: [],
			ratecoupon: [],
			vipLists: []
		},
		methods: {
			welfareDetail: welfareDetail,
			vipClick: vipClick
		}
	});
	
	mui('.welfare-container').on('tap','.call-phone',function(){
		var phone = $('.call-phone').text();
	    plus.device.dial( phone, true );
	});
	
	mui.ajax(path_http + 'account/welfareCoupon.htm', {
		data: {
			APP_SOURCE: TEXT.APP_SOURCE
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data.result === 1) {
				//会员
				Vue_welfare.vipLists = data.listX;
				if(data.listX.length <= 0) {
					$('.vip-jihuoma').hide();
				}

				//红包
				var length = data.listM.length;
				if(length <= 0) {
					$(".red-packets").hide();
				} else {
					var width = (length * 2.22 + 0.42).toFixed(2);
					$(".red-packets").width(width + 'rem');
					Vue_welfare.redpackets = convertData(data.listM);
					var myScroll1 = new iScroll("red-packets-wrapper", {
						hScroll: true,
						vScroll: false,
						hScrollbar: false,
						bounce: false
					});

				}
				//加息券
				var ratelength = data.listC.length;
				if(ratelength <= 0) {
					$(".red-packets-used").hide();
					return;
				}
				//迅雷激活码
				var ratewidth = (ratelength * 2.22 + 0.42).toFixed(2);
				$(".red-packets-used").width(ratewidth + 'rem');
				Vue_welfare.ratecoupon = convertrateData(data.listC);
				var myScroll3 = new iScroll("xunleivip-wrapper", {
					hScroll: true,
					vScroll: false,
					hScrollbar: false,
					bounce: false
				});
			} else {
				autoLogin(function(){
					mui.toast('请重新刷新');
				});
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast(TEXT.Ajaxerror);
		}
	});

	//tab切换
	mui('.welfare-container').on('tap', '.red-packets-available', function() {
		$(".red-packets-disable").removeClass("selected-used");
		$(this).addClass("selected-available");
		$("#red-packets-wrapper").show();
		$("#red-packets-wrapper-used").hide();
	});
	//tab切换
	mui('.welfare-container').on('tap', '.red-packets-disable', function() {
		var this_ = $(this);
		$(".red-packets-available").removeClass("selected-available");
		this_.addClass("selected-used");
		$("#red-packets-wrapper-used").show();
		$("#red-packets-wrapper").hide();
		if(!this_.hasClass("select-logo")) {
			//已用红包
			var index = $(".red-packets-container-used").length;
			var width = (index * 2.22 + 0.42).toFixed(2);
			$(".red-packets-used").width(width + 'rem');
			var myScroll2 = new iScroll("red-packets-wrapper-used", {
				hScroll: true,
				vScroll: false,
				hScrollbar: false,
				bounce: false
			});
		}
		this_.addClass("select-logo");
	});
	
	mui(document).on('tap','.xunleivip-table tr td:last-child',function(){
		var this_ = $(this);
		var id = this_.attr("id");
		var type = this_.data('type');
		var mark = 0;
		if(this_.parent().hasClass("coupon-sign")){
			mark = 0;
			this_.parent().removeClass("coupon-sign");
			this_.text("标记使用")
		}else{
			mark = 1;
			this_.parent().addClass("coupon-sign");
			this_.text("取消标记");
		}
		ajaxMark(id,type,mark);
	});
	
	mui(document).on('tap','.popup-close',function(){
		layer.closeAll();
	});
	
	mui(document).on('tap','.popup-coupon-close',function(){
		layer.closeAll();
	});
	
});

function welfareDetail(data,type){
	var desc = "";
	if(type === 1){
		if(data.investmentTermLeft!=""){
			desc += "投资期限≥"+data.investmentTermLeft;
		}
		if(data.amountLimit!=""){
			desc += "元，单笔投资金额≥"+data.amountLimit+"元";
		}
		var str = '<div class="popup-close"></div><p class="popup-title">红包使用规则</p>\
				<table class="red-packets-table"><tbody>\
				<tr><th>红包金额</th><th>使用规则</th></tr>\
				<tr><td>'+data.money+'元</td><td>'+desc+'</td></tr>\
				</tbody></table>\
				<div class="popup-line"></div>\
				<div class="popup-notes">\
				<p class="popup-attention">注意事项</p>\
				<ul class="popup-notes-list">\
				<li>1）每次投资只能使用1个红包，投资过程中手动选择使用</li>\
				<li>2）选择使用红包后，投资实际支付金额=投资金额 - 使用红包金额</li>\
				<li>3）红包均设有使用期限，逾期则失效</li></ul></div>';
	}else{
		if(data.investmentTermLeft!=""){
			desc += "投资期限≥"+data.investmentTermLeft;
		}
		if(data.amountLimit!=""){
			desc += "元，单笔投资金额≥"+data.amountLimit+"元";
		}
		var str = '<div class="popup-close"></div><p class="popup-title">使用规则</p>\
				<table class="red-packets-table"><tbody>\
				<tr><th>加息</th><th>使用规则</th></tr>\
				<tr><td>+'+data.interestRate+'%</td><td>'+desc+'</td></tr>\
				</tbody></table>\
				<div class="popup-line"></div>\
				<div class="popup-notes">\
				<p class="popup-attention">注意事项</p>\
				<ul class="popup-notes-list">\
				<li>1）每次投资只能使用1张加息券，在投资过程中手动选择使用 </li>\
				<li>2）加息券均设有使用期限，逾期则失效 </ul></div>';
	}
	layerDialog(str,'popup-coupon');
};

function vipClick(item){
	mui.ajax(path_http + 'account/getMyXunleiCouponDetail.htm',{
		data:{
			days: item.days,
			type: item.type,
			APP_SOURCE: TEXT.APP_SOURCE
		},
		dataType:'json',//服务器返回json格式数据
		type:'post',//HTTP请求类型
		timeout:10000,//超时时间设置为10秒；
		success:function(data){
			if(data.result === 1){
				if(item.type === 1){
					vipData(data.listXL,item.type,item.days);
				}else if(item.type === 2){
					vipData(data.listYK,item.type,item.days);
				}else if(item.type === 3){
					vipData(data.listIQ,item.type,item.days);
				}
			}else if(data.status === 3){
				autoLogin(vipClick,item);
			}else{
				mui.toast(data.message)
			}
		},
		error:function(xhr,type,errorThrown){
			
		}
	});
}

function ajaxMark(id,type,mark){
	mui.ajax(path_http + 'account/myXunleiCoupon/markActivation.htm',{
		data:{
			id: id,
			type: type,
			mark: mark,
			APP_SOURCE: TEXT.APP_SOURCE
		},
		dataType:'json',//服务器返回json格式数据
		type:'post',//HTTP请求类型
		timeout:10000,//超时时间设置为10秒；
		success:function(data){
			if(data.result == 1) {
            	// 标记成功
            }else {
            	mui.toast('标记失败')
            }
		},
		error:function(xhr,type,errorThrown){
			mui.toast(type);
		}
	});
}

function vipData(item,vipType,days){
	var vipStr = "未知";
	if(vipType==1){
		vipStr = "迅雷激活码("+days+"天)";
	}else if(vipType==2){
		vipStr = "优酷激活码("+1+"个月)";
	}else if(vipType==3){
		vipStr = "爱奇艺激活码("+1+"个月)";
	}
	var str = '<table class="xunleivip-table"><tbody><tr><th>'+vipStr+'</th><th>类型</th><th>有效时间</th><th>操作</th></tr>'
	for(var i=0;i<item.length;i++){
		if(vipType==1){
			var typeStr = "白金会员";
    		if('super'==item[i].type){
    			typeStr = "超级会员";
    		}else if('kankan'==item[i].type){
    			typeStr = "看看会员";
    		}else{
    			typeStr = "白金会员";
    		}
    	}else{
    		typeStr = "会员";
    	}
		
		if(item[i].activationMarker==1){// 已使用
			str += '<tr class="coupon-sign"><td>'+item[i].code+'</td><td>'+typeStr+'</td><td>'+convertDate(item[i].expirationDate)+'</td><td id="'+item[i].id+'" data-type='+ vipType +'>取消标记</td></tr>';
		}else{
			str += '<tr><td>'+item[i].code+'</td><td>'+typeStr+'</td><td>'+convertDate(item[i].expirationDate)+'</td><td id="'+item[i].id+'" data-type='+ vipType +'>标记使用</td></tr>';
		}
	}
	str += '</tbody></table><div class="popup-coupon-close"></div>';
	
	layerDialog(str,'popup-vip-coupon');
}

//弹窗	
function layerDialog(content,skin){
	layer.open({
		className: skin,
        content: content,
        shade: 'background-color: rgba(0,0,0,.3)',
        shadeClose: false,
	});
}
		

function convertrateData(list) {
	var items = [];
	list.forEach(function(item) {
		var date = convertDate(item.expirationDate);
		items.push({
			investmentTermLeft: item.investmentTermLeft,
			interestRate: item.interestRate * 100,
			amountLimit: item.amountLimit,
			date: date
		})
	});
	return items;
}
//红包
function convertData(list) {
	var items = [];
	list.forEach(function(item) {
		var date = convertDate(item.expirationDate);
		items.push({
			money: item.money,
			investmentTermLeft: item.investmentTermLeft,
			amountLimit: item.amountLimit,
			date: date
		})
	});
	return items;
}

function convertDate(date) {
	var year = new Date(date).getFullYear();
	var month = doubleNum(new Date(date).getMonth() + 1);
	var day = doubleNum(new Date(date).getDate());
	return year + '-' + month + '-' + day;
}

function doubleNum(num) {
	return(num < 10 ? '0' : '') + num;
}