var usableMoney;
mui.ready(function() {
	toWithdraw();
	
	mui('#container-withdraw').on('tap', '.withdraw-confirm-btn', function() {
		var withdrawMoney = parseFloat($('#withdraw-money').val());
		if(withdrawMoney && withdrawMoney > 0) {
			ajaxPayment(withdrawMoney);
		} else {
			mui.toast('输入金额错误');
		}
	});
	mui('#container-withdraw').on('tap', '.extract-money', function() {
		$('#withdraw-money').val(usableMoney);
	});
	
	mui.back = function() {
		var getTopWebview = plus.webview.getTopWebview();
		plus.webview.close(getTopWebview);
	}

});

var ajaxPayment = function(amount) {
	mui.openWindow(path_http + 'lanmao/withdraw.htm?amount=' + amount)
};

function toWithdraw() {
	mui.ajax(path_http + 'lanmao/toWithdraw.htm?APP_SOURCE=' + TEXT.APP_SOURCE, {
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒
		success: function(data) {
			if (data.result === 1) {
				$('.showFee').text(data.withdrawFeeType);
				if(data.feeMsg && data.feeMsg.length > 0){
					$('.feeMsg').text(data.feeMsg);
				}else{
					$('.feeMsg').parent().hide();
				}
				usableMoney = data.availableBalance;
				$('.usable-balance').text(toThousands(usableMoney));
			} else{
				var isLogin = plus.storage.getItem('userName');
				if(isLogin && isLogin.length > 0){
					autoLogin(toWithdraw);
				}else{
					mui.toast(data.errorMsg);
				}
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast(type);
		}
	});
}

//金额格式化千分位
function toThousands(num) {
	var num = (num || 0).toString(),
		result = '';
	var numArr = num.split('.');
	while(numArr[0].length > 3) {
		result = ',' + numArr[0].slice(-3) + result;
		numArr[0] = numArr[0].slice(0, numArr[0].length - 3);
	}
	if(numArr[0]) {
		result = numArr[0] + result;
	}
	if(numArr[1]) {
		result = result + '.' + numArr[1];
	}
	return result;
}