var width = document.body.offsetWidth;

function selectedIndex(num) {
	$('.image-container').show();
	var slideTo = -num * width;
	var endLeft = parseInt($('.image-wrapper').css('left'));
	$('.image-wrapper').animate({
		left: slideTo
	}, 10, 'swing');
}

function initImageViewer(index) {
	var startX, startY, moveX, moveY, startLeft;
	var index = $('.image-wrapper img').length;
	$('.image-wrapper').css('width', width * index + 'px');
	
	$('.image-wrapper img').css('width', width + 'px');

	$('.image-wrapper').on('touchstart', function(e) {
		e.stopPropagation();
		e.preventDefault();
		startX = e.originalEvent.changedTouches[0].pageX;
		startY = e.originalEvent.changedTouches[0].pageY;
		startLeft = parseInt($('.image-wrapper').css('left'));
	});

	$('.image-wrapper').on('touchmove', function(e) {
		e.stopPropagation();
		e.preventDefault();
		moveX = e.originalEvent.changedTouches[0].pageX;
		moveY = e.originalEvent.changedTouches[0].pageY;
		//		var offsetX = (startLeft - startX + moveX) + 'px';
		//	    $('.image-wrapper').css('left',offsetX);
		//	    
		//	    var endLeft = parseInt($('.image-wrapper').css('left'));
		//	    if(endLeft > 0){
		//	    	$('.image-wrapper').css('left', 0);
		//	    }
		//	    var borderRight = -width * 2;
		//	    if(endLeft < borderRight){
		//	    	$('.image-wrapper').css('left', -(width * 2));
		//	    }
	});
	$('.image-wrapper').on('touchend', function(e) {
		e.stopPropagation();
		e.preventDefault();
		endX = e.originalEvent.changedTouches[0].pageX;
		endY = e.originalEvent.changedTouches[0].pageY;
		if(Math.abs(endX - startX) >= 50) {
			//右移
			if((endX - startX) < 0) {
				var slideTo = (parseInt(startLeft / width) - 1) * width;
				var endLeft = parseInt($('.image-wrapper').css('left'));
				var borderRight = -width * (index - 1);
				if(endLeft > borderRight) {
					$('.image-wrapper').animate({
						left: slideTo
					}, 500, 'swing');
				}
			}
			//左移
			if((endX - startX) > 0) {
				var slideTo = (parseInt(startLeft / width) + 1) * width;
				var endLeft = parseInt($('.image-wrapper').css('left'));
				var borderRight = 0;
				if(endLeft < borderRight) {
					$('.image-wrapper').animate({
						left: slideTo
					}, 500, 'swing');
				}
			}
		}else{
			$('.image-container').hide();
		}

		if((endY - startY) >= 60) {
			$('.image-container').hide();
		}
	});

	$('.image-container').on('click', function() {
		$('.image-container').hide();
	});
	$('.image-wrapper').on('click', function(e) {
		e.stopPropagation();
	});
}