var clearTime = null;
var vue_detail,isLogin;
mui.ready(function() {
	mui.init({
		swipeBack: true
	});
	
	vue_detail = new Vue({
		el: '#productDetail',
		data: getDefaultData(),
		methods: {
			toProductRecord: function() {
				var recordPage = plus.webview.getWebviewById('product-record');
				mui.fire(recordPage, 'init', {
					productId: vue_detail.productId
				});
				mui.openWindow('product-record.html', 'product-record');
			},
			toSafeguard: function() {
				$('.product-detail-wrapper').hide();
				$('.product-msg-wrapper').show();
			},
			toProductDesc: function() {
				$('.product-detail-wrapper').show();
				$('.product-msg-wrapper').hide();
			},
			resetData: function() {
				//				$.extend({}, this.$data, getDefaultData());
				//Object.assign(this.$data,getDefaultData());
			}
		},
		watch: {
			proofData: function() {
				this.$nextTick(initImageViewer);
			}
		}
	});

	function convertData(data) {
		var status = '';
		var isTrue = false;
		var productDeadine = '';
		var endSellDateStr = new Date(data.endSellDateStr).getTime();
		var startSellDateStr = new Date(data.startSellDateStr).getTime();

		// 剩余申购时间
		if((data.currentServerDate >= startSellDateStr) && (data.currentServerDate <= endSellDateStr)) {
			$('.presell').hide();
			$('.startsell').show();
			timer(data.currentServerDate, endSellDateStr, '.product-last-time');
		} else if(data.currentServerDate < startSellDateStr) { //预售
			$('.startsell').hide();
			$('.presell').show();
		} else {
			$('.startsell').hide();
			$('.presell').hide();
		}

		var nowDate = data.currentServerDate;
		if(data.productProgress == 1) {
			isTrue = true;
			status = "售馨";
			$('.startsell').hide();
			$('.presell').hide();
		} else {
			status = "抢购";
			if(nowDate > endSellDateStr) {
				isTrue = true;
				status = "申购结束";
			} else if(nowDate < startSellDateStr) {
				status = "预售";
			}
		}
		if(data.productType == 8) {
			productType = "历史复合年化利率";
			productDeadine = "个月";
		} else if(data.productType == 3) {
			productType = "历史年化利率"
			productDeadine = "天";
		} else {
			productType = "历史年化利率"
			productDeadine = "天";
		}
		if(data.bidOther.sex === 2) {
			vue_detail.sex = '女';
		} else {
			vue_detail.sex = '男';
		}
		if(data.bidOther.addrStr && data.bidOther.addrStr !== 'null') {
			vue_detail.addrStr = (data.bidOther.addrStr).substring(0, 3) + '...';
		}
		if(data.bidOther.guaranteeType > 1) {
			vue_detail.guaranteeType = true;
		}
		if(data.bidOther.userType == 1) {
			vue_detail.userType = '法人';
		} else {
			vue_detail.userType = '自然人';
		}
		if(data.bidOther.incomeSituation == 1) {
			vue_detail.incomeSituation = '个人收入';
		} else {
			vue_detail.incomeSituation = '企业收入';
		}
		if(data.bidOther.debtSituation == 1) {
			vue_detail.debtSituation = '无负债';
		} else if(data.bidOther.debtSituation == 2) {
			vue_detail.debtSituation = '低负债';
		} else {
			vue_detail.debtSituation = '高负债';
		}
		
		vue_detail.brri = data.brri;
		if(data.brri && data.brri.length > 0){
			if(data.brri.runStatus == 1) {
			vue_detail.runStatus = '正常';
			} else {
				vue_detail.runStatus = '异常';
			}
			if(data.brri.manageStatus == 1) {
				vue_detail.manageStatus = '正常';
			} else {
				vue_detail.manageStatus = '异常';
			}
			if(data.brri.financeStatus == 1) {
				vue_detail.financeStatus = '正常';
			} else {
				vue_detail.financeStatus = '异常';
			}
			if(data.brri.repaymentAbilityStatus == 1) {
				vue_detail.repaymentAbilityStatus = '无变化';
			} else {
				vue_detail.repaymentAbilityStatus = '异常';
			}
			if(data.brri.overdueStatus == 0) {
				vue_detail.overdueStatus = '未逾期';
			} else {
				vue_detail.overdueStatus = '逾期';
			}
			if(data.brri.lawsuitStatus == 0) {
				vue_detail.lawsuitStatus = '有涉诉';
			} else {
				vue_detail.lawsuitStatus = '无涉诉';
			}
			if(data.brri.punishStatus == 0) {
				vue_detail.punishStatus = '有';
			} else {
				vue_detail.punishStatus = '暂无';
			}
		}
		
		if(data.bidOther.companyType == 1){
			vue_detail.companyType = '个人所';
		}else if(data.bidOther.companyType == 2){
			vue_detail.companyType = '合伙所';
		}else if(data.bidOther.companyType == 3){
			vue_detail.companyType = '全国所';
		}else if(data.bidOther.companyType == 4){
			vue_detail.companyType = '国家单位';
		}
		switch (data.bidOther.companySize){
			case 1:
				vue_detail.companySize = '1-20人';
				break;
			case 2:
				vue_detail.companySize = '20-50人';
				break;
			case 3:
				vue_detail.companySize = '50-100人';
				break;
			case 4:
				vue_detail.companySize = '100-200人';
				break;
			case 5:
				vue_detail.companySize = '200-500人';
				break;
			case 6:
				vue_detail.companySize = '500以上';
				break;
			default:
				vue_detail.companySize = '--';
				break;
		}
		
		vue_detail.status = status;
		vue_detail.isTrue = isTrue;
		vue_detail.endSellDate = endSellDateStr;
		vue_detail.startSellDate = startSellDateStr;
		vue_detail.startSellDateStr = data.startSellDateStr;
		vue_detail.currentServerDate = data.currentServerDate;
		vue_detail.productType = productType;
		vue_detail.productDeadine = productDeadine;
		vue_detail.productName = data.productName;
		vue_detail.leftMoney = toThousands(data.leftMoney) + '元';
		vue_detail.productDuration = data.productDuration;
		vue_detail.salesTotalMoney = data.salesTotalMoney;
		vue_detail.paymentDesc = data.paymentDesc;
		vue_detail.minBuyMoney = toThousands(data.minBuyMoney) + '元';
		vue_detail.maxBuyMoney = toThousands(data.maxBuyMoney) + '元';
		vue_detail.profitRate = (data.profitRate * 100).toFixed(1);
		vue_detail.transactionRecordsNum = parseInt(data.transactionRecordsNum);
		vue_detail.productProgress = data.productProgress.toFixed(2);
		vue_detail.couponDesc = data.couponDesc;
		vue_detail.profitStartDate = data.profitStartDate;
		vue_detail.detailURL = data.detailURL;
		vue_detail.securitySimpleUrl = data.securitySimpleUrl;
		vue_detail.loanPurpose = data.bidOther.loanPurpose;
		vue_detail.loansName = '**' + (data.bidOther.euLegal).slice(-1);
		vue_detail.age = data.bidOther.age;
		vue_detail.educationStr = data.bidOther.educationStr;
		vue_detail.profession = data.profession;
		vue_detail.workYear = data.bidOther.workYear;
		vue_detail.historyLoan = data.bidOther.historyLoan;
		vue_detail.historyLoanClear = data.bidOther.historyLoanClear;
		vue_detail.historyLoanOver = data.bidOther.historyLoanOver;
		vue_detail.agreementURL = data.agreementURL;
		vue_detail.userTypeId = data.bidOther.userType;
		vue_detail.establishDate = data.bidOther.establishDate;
		vue_detail.appDesc = data.appDesc;
		
		vue_detail.practiceLicenseNo = ellipsisMiddle(data.bidOther.practiceLicenseNo);
		vue_detail.companyAddr = ellipsisMiddle(data.bidOther.companyAddr);
		vue_detail.companyName = ellipsisMiddle(data.bidOther.companyName);
		vue_detail.euLegalIdNo = ellipsisMiddle(data.bidOther.euLegalIdNo);
		if(data.proofData && data.proofData.length > 0) {
			vue_detail.proofData = data.proofData.split(',');
		}

		drawCircle(vue_detail.productProgress);
	}

	window.addEventListener("productId", function(event) {
		mui.scrollTo(0, 0);
		isLogin = plus.storage.getItem('userName');
		vue_detail.isLogin = isLogin;
		//获取事件参数
		vue_detail.productId = event.detail.productId;
		mui.ajax(path_http + 'products/regularProductInfo.htm', {
			data: {
				productId: vue_detail.productId,
				APP_SOURCE: TEXT.APP_SOURCE
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data, status) {
				if(data.result === 1) {
					convertData(data);
				}
			},
			error: function(xhr, type, errorThrown) {
				mui.toast(type);
			}
		});
		//预加载投资页
		mui.preload({
			url: 'product-invest.html',
			id: 'product-invest',
			styles: {}, //窗口参数
			extras: {} //自定义扩展参数
		});
		//预加载投资记录页
		mui.preload({
			url: 'product-record.html',
			id: 'product-record',
			styles: {}, //窗口参数
			extras: {} //自定义扩展参数
		});
		//预加载登录页
		mui.preload({
			url: '/html/user/login.html',
			id: 'login'
		});

	});

	window.addEventListener("init", function(event) {
		isLogin = plus.storage.getItem('userName');
		vue_detail.isLogin = isLogin;
	});

	mui('.mui-content').on('tap', '.pdf-download', function() {
		var pdfName= vue_detail.agreementURL.split('/').pop();
		var pdfUrl = '_downloads/'+pdfName;
		
		var downloadTask = plus.downloader.createDownload(vue_detail.agreementURL,{filename: pdfUrl},function(d,status){
			// 下载完成
			if ( status == 200 ) {
				plus.runtime.openFile(pdfUrl, {}, function(err) {
					mui.toast('当前手机不支持查看该类型文件！');
				});
			} else {
				 mui.toast( "下载失败，请检查网络是否可用。" );
			}
		});
		
		plus.io.resolveLocalFileSystemURL(pdfUrl,function(entry){
			plus.runtime.openFile(pdfUrl, {}, function(err) {
				mui.toast('当前手机不支持查看该类型文件！');
			});
		},function(err){
			downloadTask.start();
		});
	});

	mui('.mui-content').on('tap', '.product-btn', function() {
		if(!$(this).hasClass('product-sale-done')) {
			var investPage = plus.webview.getWebviewById('product-invest');
			if(vue_detail.isLogin) {
				mui.fire(investPage, 'init', {
					productId: vue_detail.productId
				});
				mui.openWindow('product-invest');
			} else {
				toLogin('product-detail');
			}
		}
	});
	mui('.mui-content').on('tap','.toLogin',function(){
		toLogin('product-detail');
	});
	
	$(document).on('click', '.product-image-content', function() {
		var index = $(this).index();
		selectedIndex(index);
	});

	mui.plusReady(function() {
		var self = plus.webview.currentWebview();
		//添加hide事件，清空页面数据，滚动到最顶部
		self.addEventListener('hide', function(e) {
			window.scrollTo(0, 0);
			vue_detail.resetData();

			var aa = plus.webview.getDisplayWebview();
			plus.webview.close('productDesc');
		}, false);

		mui.back = function() {
			//清除定时器
			clearTimeout(clearTime);

			var urlwebview = plus.webview.getTopWebview();
			var urlId = urlwebview.id;
			if(urlId == 'product-detail') {
				plus.webview.hide(urlwebview);
			} else {
				plus.webview.close(urlwebview);
			}
		}
	});

});

function timer(curTime, endTime, id) {
	var intDiff = (endTime - curTime) / 1000;
	var day = 0,
		hour = 0,
		minute = 0,
		second = 0; //时间默认值		
	if(intDiff > 0) {
		day = Math.floor(intDiff / (60 * 60 * 24));
		hour = Math.floor(intDiff / (60 * 60)) - (day * 24);
		minute = Math.floor(intDiff / 60) - (day * 24 * 60) - (hour * 60);
		second = Math.floor(intDiff) - (day * 24 * 60 * 60) - (hour * 60 * 60) - (minute * 60);
	}
	if(hour <= 9) {
		hour = '0' + hour;
	}
	if(minute <= 9) {
		minute = '0' + minute;
	}
	if(second <= 9) {
		second = '0' + second;
	}
	$(id + ' .day_show').text(day + "天");
	$(id + ' .hour_show').text(hour + '时');
	$(id + ' .minute_show').text(minute + '分');
	$(id + ' .second_show').text(second + '秒');
	intDiff--;

	if(intDiff > 0) {
		setTimeout("updateTime(" + intDiff + ",'" + id + "')", 1000);
	}
}

var updateTime = function(intDiff, id) {
	var day = 0,
		hour = 0,
		minute = 0,
		second = 0; //时间默认值		
	if(intDiff > 0) {
		day = Math.floor(intDiff / (60 * 60 * 24));
		hour = Math.floor(intDiff / (60 * 60)) - (day * 24);
		minute = Math.floor(intDiff / 60) - (day * 24 * 60) - (hour * 60);
		second = Math.floor(intDiff) - (day * 24 * 60 * 60) - (hour * 60 * 60) - (minute * 60);
	}
	if(minute <= 9) {
		minute = '0' + minute;
	}
	if(second <= 9) {
		second = '0' + second;
	}
	$(id + ' .day_show').text(day + "天");
	$(id + ' .hour_show').text(hour + '时');
	$(id + ' .minute_show').text(minute + '分');
	$(id + ' .second_show').text(second + '秒');
	intDiff--;
	clearTime = setTimeout("updateTime(" + intDiff + ",'" + id + "')", 1000);
}

//默认数据
function getDefaultData() {
	return {
		isLogin: '',
		productId: '',
		status: '',
		isTrue: false,
		productName: '',
		leftMoney: '',
		productDeadine: '',
		productType: '',
		productDuration: '',
		salesTotalMoney: '',
		paymentDesc: '',
		minBuyMoney: '',
		maxBuyMoney: '',
		profitRate: '',
		transactionRecordsNum: '',
		productProgress: 0,
		couponDesc: '',
		profitStartDate: '',
		detailURL: '',
		securitySimpleUrl: '',
		endSellDate: '',
		startSellDate: '',
		startSellDateStr: '',
		currentServerDate: '',
		loanPurpose: '',
		loansName: '',
		sex: '男',
		age: '',
		educationStr: '',
		profession: '',
		workYear: '',
		addrStr: '暂无',
		euLegalIdNo: '',
		guaranteeType: false,
		userTypeId: '',
		userType: '',
		incomeSituation: '',
		debtSituation: '',
		historyLoan: 0,
		historyLoanClear: 0,
		historyLoanOver: 0,
		runStatus: '',
		manageStatus: '',
		financeStatus: '',
		repaymentAbilityStatus: '',
		overdueStatus: '',
		lawsuitStatus: '',
		punishStatus: '',
		proofData: [],
		agreementURL: '',
		companyType: '',
		companyName: '',
		companyAddr: '',
		companySize: '--',
		practiceLicenseNo: '',
		establishDate: '--',
		brri: '',
		appDesc: ''
	}
}

//金额格式化千分位
function toThousands(num) {
	var num = (num || 0).toString(),
		result = '';
	while(num.length > 3) {
		result = ',' + num.slice(-3) + result;
		num = num.slice(0, num.length - 3);
	}
	if(num) {
		result = num + result;
	}
	return result;
}

function drawCircle(per) {
	var width = Math.round($('.product-percent').outerHeight()) * 2;
	var color = '#fff';
	var text = parseInt(per * 100) + '%';
	var iphone = mui.os.ios;
	var devicePixelRatio = window.devicePixelRatio;
	var font, lineWidth;
	if(iphone && devicePixelRatio >= 2) {
		font = 'normal 48px 微软雅黑';
		lineWidth = 8;
	} else {
		font = 'normal 24px 微软雅黑';
		lineWidth = 4;
	}

	//绘制进度圆环
	circleProgress({
		id: 'product-percent',
		width: width,
		per: per,
		text: text,
		color: color,
		bgColor: '#fdc8a0',
		circleColor: '#fdc8a0',
		lineWidth: lineWidth,
		font: font
	});
}

function ellipsisMiddle(str) {
	if(str && str.length > 0){
		return str.slice(0,3) + '****' + str.slice(-3);
	}
	return '--';
}
