function protocolDialog() {
	layer.open({
		className: 'popup-user-protocol',
		title: [
			'蜂鸟金融用户注册协议',
			'height: .9rem;line-height: .9rem;background-color: #F3F3F3;border-top-left-radius: .25rem;border-top-right-radius: .25rem; color:#555; font-size: .32rem'
		],
		scrollbar: false,
		content: "<p>重要须知：深圳市迅雷金融信息服务有限公司（下称“蜂鸟金融”）依据本协议为蜂鸟金融平台实名注册用户提供网络借款信息中介服务。蜂鸟金融在此特别提醒用户仔细阅读本协议。<b>在成为蜂鸟金融平台用户前，请务必认真阅读本协议中各条款，特别是免除或者限制蜂鸟金融责任的免责条款以及对用户的权利排除或限制的条款，这些条款将以加粗字体标注。用户在蜂鸟金融平台注册并勾选同意本协议时，视为用户已经充分理解和同意本协议全部内容，并签署了本协议，本协议立即在用户与蜂鸟金融之间产生法律效力。</b></p>\
            <p><b>一、定义</b></p>\
            <p>1. 蜂鸟金融平台：蜂鸟金融网站（网址：fengniaojr.com及其后蜂鸟金融不时更新的网址）及其移动终端软件（包括但不限于实现全部及部分蜂鸟金融网站功能的手机客户端、平板电脑客户端等移动客户端软件或工具）构成蜂鸟金融平台。</p>\
            <p>2. 蜂鸟金融平台用户（下称“用户”）：指在蜂鸟金融平台完成实名注册或以第三方账户登陆并符合中华人民共和国法律规定的具有完全民事权利能力和民事行为能力的自然人、法人或其他组织。</p>\
            <p>3. 合作机制：指蜂鸟金融平台通过适当的协议约定和/或技术安排，使得用户可以使用第三方账户登陆蜂鸟金融平台接受蜂鸟金融服务的机制。</p>\
            <p>4. 网络借贷信息中介服务：指蜂鸟金融通过蜂鸟金融平台向用户提供的金融信息服务，具体服务内容以本协议约定为准。</p>\
            <p>5. 新网银行：是指根据《网络借贷资金存管业务指引》等要求为蜂鸟金融平台提供网络借贷资金存管业务的商业银行。</p>\
            <p>6. 第三方支付机构服务：指符合中国人民银行支付管理相关规定的第三方机构指为蜂鸟金融用户提供网络借贷资金存管服务以外的资金服务，如提供支付通道。</p>\
            <p><b>二、协议组成及修改</b></p>\
            <p>1. 本协议包括本协议正文条款及蜂鸟金融平台已经发布或将来不时发布或修改的各类规则，所有条款和规则均为本协议不可分割的一部分，具有同等法律效力。本协议是用户经过仔细认真阅读、理解并选择接受全部内容后与蜂鸟金融自愿共同签订的，适用于用户在蜂鸟金融平台的全部活动。</p>\
            <p><b>2. 蜂鸟金融有权根据需要修改本协议正文条款或制定、修改各类规则。蜂鸟金融将在蜂鸟金融平台发布最新版本的蜂鸟金融用户注册协议或各类规则，而无需另行向用户单独通知。用户承诺不时注意、阅读、理解本协议正文条款及各类规则的最新版本。如果用户继续使用蜂鸟金融服务，则视为用户接受蜂鸟金融对本协议的修改；如果用户不同意蜂鸟金融对本协议的修改，则应立即停止使用蜂鸟金融服务。</b></p>\
            <p><b>三、 蜂鸟金融服务的内容</b></p>\
            <p>1.网络借贷信息中介服务。蜂鸟金融平台为用户提供网络借贷信息中介服务，包括但不限于为借款人与出借人实现直接借贷提供信息搜集、信息公布、资信评估、信息交互、借贷撮合等服务。</p>\
            <p>2.网络借贷资金存管服务。</p>\
            <p>2.1蜂鸟金融委托新网银行为用户在蜂鸟金融平台上的借款或出借行为 提供“网络借贷资金存管服务”，主要包括但不限于：资金存管账户开立、银行卡认证、充值、取现、代收、代付、查询等服务。<b>用户点击同意本协议的，视为用户同意使用由新网银行提供的前述网络借贷资金存管服务。具体服务内容以蜂鸟金融与新网银行签署的协议为准。</b></p>\
            <p>2.2如果用户就上述网络借贷资金存管服务事宜与新网银行及（或）第三方支付机构另行签署了相应的法律文件，则具体服务事项以及各方权利义务以该等法律文件约定为准。<b>用户同意：(a) 新网银行及（或）第三方支付机构可能仅在工作日进行资金代扣及划转的现状等各种原因所限，蜂鸟金融不对前述服务的资金到账时间做任何承诺，也不承担与此相关的责任，包括但不限于由此产生的利息、货币贬值等损失；(b) 用户一经使用前述服务即表示不可撤销地授权并委托蜂鸟金融平台进行相关操作，且该等操作是不可逆转的，用户不能以任何理由拒绝付款或要求取消交易；(c)就新网银行提供的资金存管服务或第三方支付机构提供的其他服务，用户应按照有关法律文件及新网银行、第三方支付机构的规定向其支付相应的费用（如有）。同时，用户与新网银行、第三方支付机构之间就服务提供、费用支付等事项而产生的争议或纠纷，均由当事方自行解决，蜂鸟金融不承担任何直接或间接、全部或部分赔偿责任、担保责任和其他任何法律责任。</b></p>\
            <p>2.3用户保证并承诺其通过蜂鸟金融平台进行交易的资金来源合法。<b>用户同意，蜂鸟金融平台有权按照有权机关的要求协助其对用户的蜂鸟金融平台账户及资金等进行查询、冻结或扣划等操作。</b></p>\
            <p><b>四、账户的注册、管理和使用</b></p>\
            <p>1.在使用蜂鸟金融服务之前，用户必须在蜂鸟金融平台上根据相应规则完成实名注册，以及根据新网银行指示，在蜂鸟金融平台完成资金存管账户开户、绑卡等操作。在完成前述实名注册及开户操作前，蜂鸟金融不为用户提供借款或出借服务。</p>\
            <p>2.用户必须保证注册时提供的信息是真实、有效和完整的，且保证蜂鸟金融可以根据这些信息与其取得联系。如用户提供的信息不真实、无效或者不完整，或蜂鸟金融有合理理由怀疑该等信息不真实、无效或者不完整，蜂鸟金融有权拒绝注册，拒绝提供服务，拒绝赠送赠品，收回已经发放的赠品或使已经发放的虚拟财产类赠品失效，并不予赔偿或者退还任何已收取的服务费用（如有）。</p>\
            <p>3.根据本协议及蜂鸟金融不时修订的规则和流程，用户可能在蜂鸟金融平台拥有不同的账户；用户对其通过任一账户进行的行为合并承担责任。</p>\
            <p><b>4.用户若发现蜂鸟金融平台账户和密码泄露或被盗用，应立即以有效方式通知蜂鸟金融，要求暂停相关服务，否则由此产生的一切损失和责任均由用户本人承担。用户理解，蜂鸟金融需要合理时间以对用户的请求采取行动，在此时间内，蜂鸟金融不对第三人使用用户账户所导致的损失承担任何直接或间接的赔偿、担保以及其他责任。</b></p>\
            <p>5.账户使用限制</p>\
            <p><b>5.1用户必须在遵守法律法规及本协议的前提下使用蜂鸟金融服务。用户无权实施包括但不限于下列行为：</b></p>\
            <p>5.1.1侵犯蜂鸟金融或其他权利人依法拥有的知识产权，包括但不限于蜂鸟金融平台上展示的著作、图片、资讯、档案、资料、平台架构、网页设计等商标权、专利权、著作权、商业秘密等权利；</p>\
            <p>5.1.2未经书面授权，对蜂鸟金融平台程序或内容使用、复制、修改、链接、转载、汇编、发表、出版，建立镜像站点、擅自发展与之有关的衍生产品、作品、服务等。</p>\
            <p><b>5.2用户在使用蜂鸟金融服务时必须符合中国有关法规以及其他有关国家和地区的法律规定以及国际法的有关规定。用户不得利用蜂鸟金融平台及蜂鸟金融服务制作、发表、复制、传送、传播、储存以下信息：</b></p>\
            <p>5.2.1 违反宪法确定的基本原则的；</p>\
            <p>5.2.2 危害国家安全，泄露国家秘密，颠覆国家政权，破坏国家统一的；</p>\
            <p>5.2.3 损害国家荣誉和利益的；</p>\
            <p>5.2.4 煽动民族仇恨、民族歧视，破坏民族团结的；</p>\
            <p>5.2.5 破坏国家宗教政策，宣扬邪教和封建迷信的；</p>\
            <p>5.2.6 散布谣言，扰乱社会秩序，破坏社会稳定的；</p>\
            <p>5.2.7 散布淫秽、色情、赌博、暴力、恐怖或者教唆犯罪的；</p>\
            <p>5.2.8 侮辱或者诽谤他人，侵害他人合法权益的；</p>\
            <p>5.2.9 煽动非法集会、结社、游行、示威、聚众扰乱社会秩序的；</p>\
            <p>5.2.10 以非法民间组织名义活动的；</p>\
            <p>5.2.11 侵犯他人知识产权、商业秘密或其他合法权利的；</p>\
            <p>5.2.12 含有法律、行政法规禁止的其他内容的。</p>\
            <p>6. 蜂鸟金融有权基于单方独立判断，在认为可能发生危害交易安全等情形时，不经通知而先行暂停、中断或终止向用户提供本协议项下的全部或部分服务，并将注册资料移除或删除，且无需对用户或任何第三方承担任何责任。前述情形包括但不限于： </span></p>\
            <p>6.1 蜂鸟金融认为用户提供的个人资料不具有真实性、有效性或完整性；</p>\
            <p>6.2 蜂鸟金融发现异常交易或有疑义或有违法之虞时；</p>\
            <p>6.3 蜂鸟金融认为用户的账户涉嫌洗钱、套现、传销、被冒用或其他本网站认为有风险之情形；</p>\
            <p>6.4 蜂鸟金融认为用户已经违反本协议中规定的各类规则及精神；</p>\
            <p>6.5  蜂鸟金融基于交易安全等原因，根据单独判断需先行暂停、中断或终止向用户提供本协议项下的全部或部分用户服务，并将注册资料移除或删除的其他情形。</p>\
            <p><b>五、 用户信息及隐私权保护</b></p>\
            <p>1. 用户信息的提供、搜集及核实</p>\
            <p><b>1.1 用户承诺并保证其向蜂鸟金融提交的所有信息（包括但不限于注册资料及上传或发布的其他信息）均准确、详细、真实、有效、完整，并承诺及时更新相关信息。对于因用户违反上述承诺和保证而引起的问题及所带来的后果（包括蜂鸟金融无法根据用户提供的联系方式与用户取得联系，由此导致用户在使用蜂鸟金融服务过程中遭受任何损失或增加任何费用），蜂鸟金融不承担任何责任。</b></p>\
            <p><b>1.2 用户同意蜂鸟金融可以自行或通过其他机构自公开及私人资料来源收集、追踪用户的额外资料和信息，并同意蜂鸟金融自行或通过其他机构对用户提交或蜂鸟金融收集的资料和信息进行核实、分析、保存和商业利用，并据此对用户进行评级。</b></p>\
            <p><b>2. 用户信息的使用和披露。蜂鸟金融以行业标准惯例对用户的资料和信息进行保密。用户在此同意并授权，蜂鸟金融在以下情况下可以使用或向第三方提供用户的资料和信息而无需额外取得用户的同意和/或授权：</b></p>\
            <p><b>2.1 将用户必要的资料和信息披露给通过蜂鸟金融平台与用户交易的其他主体；</b></p>\
            <p><b>2.2 提供给蜂鸟金融的关联方、合作方以用于完成蜂鸟金融服务；</b></p>\
            <p><b>2.3 根据有关法律法规或有权机构的要求进行披露；</b></p>\
            <p><b>2.4 当用户违反本协议和/或用户通过蜂鸟金融平台签署的法律文件之约定或任何法律法规规定时，蜂鸟金融平台有权根据自己的判断和/或有关法律文件的约定，披露用户的资料和信息以及用户的违法、违约行为和对应的交易文件而无需承担任何责任；</b></p>\
            <p><b>2.5 为实现本协议和/或提供蜂鸟金融服务之目的的其他情形。</b></p>\
            <p><b>2.6 用户不可撤销地同意蜂鸟金融、蜂鸟金融的关联方及合作方通过蜂鸟金融平台网页、电子邮件、电话、短信等方式向用户提供、发送服务通知、商业广告及其他商业性信息。</b></p>\
            <p><b>六、 费用及收取方式</b></p>\
            <p><b>1. 用户同意根据蜂鸟金融平台规则或相关协议向蜂鸟金融支付服务费、管理费或其他费用。用户同意对于蜂鸟金融应得的服务费用、管理费或其他费用，蜂鸟金融有权要求新网银行从用户的资金存管账户中直接扣收，且扣收时无需另行通知或询证。</b></p>\
            <p>2. 用户通过蜂鸟金融平台使用服务时，可能需要向蜂鸟金融或第三方合作机构支付必要的其他费用，其具体内容、比例、金额等事项详见交易过程中用户签署的法律文件、相关蜂鸟金融平台规则、通知及第三方合作机构规则。</p>\
            <p>3. 用户同意，蜂鸟金融有权不时单方制定及调整前述服务费、管理费或其他费用的类型或金额等具体事项并根据本协议进行公告、修改。</p>\
            <p><b>七、 风险提示</b></p>\
            <p><b>1. 用户了解并确认其使用蜂鸟金融服务、通过蜂鸟金融平台进行交易存在的以下风险：</b></p>\
            <p>1.1 法律和政策风险。法律法规的变化，货币政策、财政政策、行业政策的调整，以及监管部门对金融市场和网贷行业监管政策的调整，均可能影响本次借款的资金成本和履约表现，从而产生本息损失的风险。</p>\
            <p>1.2 市场风险。网络借贷行业因受经济因素、政治因素等各种因素影响而引起的波动，从而会引起的相应风险。</p>\
            <p>1.3 经济周期风险。经济运行具有周期性的特点，全球宏观经济运行状况将对出借人获得期待利息产生影响，从而产生的风险。</p>\
            <p>1.4 借款人信用风险。借款人因经验及能力不足风险、婚姻及家庭不稳定风险、居住不稳定风险、品质及道德风险、健康风险、信用风险、经营风险、股权风险、管理不足风险、还款能力不足风险、过度负债风险等原因，未按照合同约定还款，导致出借人的出借本金和利息无法按时回收的风险。</p>\
            <p>1.5 经营风险。蜂鸟金融承诺将按照相关法律法规的规定进行运营及管理，但无法保证永久符合相关法律和监管部门的要求。如蜂鸟金融无法继续经营网络借贷信息中介业务或发生重大业务调整，或财产状况发生重大变化，则可能会对出借人产生不利影响。蜂鸟金融有权将相关服务事项以委托服务/服务外包等方式交由其他机构办理，因合作机构不符合监管部门规定的资质，或被监管部门撤销相关业务许可、责令停业整顿等原因不能正常履行职责，或不具备提供服务的相关条件、或因管理不善，或发生停业、解散、破产、被吊销营业执照等情形，可能会给出借人带来一定的风险。</p>\
            <p>1.6 资金损失风险。蜂鸟金融将按照依法、诚信、自愿、公平的原则为出借人和借款人提供信息中介服务，维护出借人与借款人的合法权益。但蜂鸟金融不提供增信服务，不承担借贷违约风险。出借人和借款人应当遵循借贷自愿、诚实守信、责任自负、风险自担的原则承担借贷风险，出借人自行承担借贷产品的本息损失风险。</p>\
            <p>1.7 资金回收风险。针对出借人出借本金或者回款再出借资金，蜂鸟金融会积极协助出借人寻找、推荐借款人，以完成资金出借、获取利息之目的，但寻找、推荐借款人日期存在一定不确定性，会导致出借人在出借期限届满后可能无法完全回收出借资金和获得利息。</p>\
            <p>1.8 操作或技术风险。操作或技术风险是指蜂鸟金融、支付机构或资金存管机构在业务操作过程中，因内部控制存在缺陷或者人为因素造成操作失误或违反操作规程等引致的风险，例如交易错误、IT系统故障等风险。</p>\
            <p>1.9 不可抗力风险。战争、自然灾害等不可抗力的出现，可能导致借贷本息遭受损失。合作机构违约等超出蜂鸟金融自身直接控制能力范围之外的风险，也可能导致出借人的利益受损，从而带来风险。</p>\
            <p><b>八、 责任限制条款</b></p>\
            <p><b>1. 蜂鸟金融</b>将在法律允许的前提下尽到商业勤勉，保障<b>提供服务的质量以期用户</b>可以顺利进行及完成交易。但<b>用户通过蜂鸟金融</b>平台进行资金出借的，应当具备投资风险意识、风险识别能力、拥有非保本类金融产品投资的经历并熟悉互联网<b>借贷知识</b><b>用户</b>应当自行承担借贷产生的本息损失。<b>蜂鸟金融及其股东、创建人、高级职员、董事、代理人、关联公司、母公司、子公司和雇员不对出借的债权提供任何担保。</b></p>\
            <p><b>2. 如果蜂鸟金融平台出现因系统故障或其他原因导致的处理错误，无论是有利于蜂鸟金融平台还是有利于用户，蜂鸟金融平台都应当并有权通知用户以及纠正该等错误，双方权利义务应恢复至如果没有发生该等系统故障或处理错误双方应该享有或承担的权利义务。用户理解并同意，用户因前述处理错误而少收或多付的款项均不计利息，蜂鸟金融平台不承担因前述处理错误而导致的任何损失或责任（包括用户可能因前述错误导致的利息、汇率等损失）。</b></p>\
            <p><b>3. 蜂鸟金融有权在未经事前通知的情况下，基于法律法规、监管部门、司法机关的要求及/或依据对运行和交易安全等情况的独立判断，限制、改变、暂时停止或终止蜂鸟金融服务，并相应移除或删除用户注册资料及交易信息、单方解除本协议且不承担任何违约责任。用户继续使用蜂鸟金融平台的行为，即表示接受蜂鸟金融服务的变化以及因此带来的本协议的变更和调整并受其约束。</b></p>\
            <p><b>4. 蜂鸟金融不保证用户的借款需求或出借需求能够实际得到满足，用户因前述原因导致的损失（包括但不限于资金、利息、手续费等损失）由用户自行承担，蜂鸟金融不承担任何责任。</b></p>\
            <p><b>5. 用户确认其在蜂鸟金融平台按照服务流程所确认的交易状态、操作将成为用户进行相关交易或操作（包括但不限于支付或收取款项、冻结资金、订立合同等）的明确的、不可撤销的指令。用户同意蜂鸟金融平台有权按照相关指令依据本协议、蜂鸟金融平台相关流程和/或相应法律文件对相关事项进行处理，并同意承担因此造成或引发的法律后果及责任。</b></p>\
            <p><b>6. 蜂鸟金融向用户提供的信息及资料，以及用户从蜂鸟金融工作人员取得的任何咨询和建议，不构成蜂鸟金融对用户的任何承诺和保证。蜂鸟金融不以明示、默示的任何方式向用户提供担保。用户在蜂鸟金融平台与其他用户、合作机构之间因接受蜂鸟金融平台服务而产生的法律关系或法律纠纷由用户自行承担和解决，蜂鸟金融不承担任何责任。</b></p>\
            <p><b>7. 蜂鸟金融以公告形式发布以及不时更新的网址、链接、客户端、官方客服电话是用户获得蜂鸟金融服务的有效渠道，蜂鸟金融不对用户通过其他渠道获得的服务承担任何责任。</b></p>\
            <p><b>8. 蜂鸟金融有权对蜂鸟金融平台进行升级或维护并中断服务，对于因该等互联网特性原因而使用户遭受的损失，蜂鸟金融不承担任何责任。</b></p>\
            <p><b>9. 在法律允许的情况下，蜂鸟金融不对与本协议有关或由本协议引起的损失承担任何责任。</b></p>\
            <p><b>10. 在任何情况下，除非另有约定，蜂鸟金融对本协议承担赔偿责任的总额不超过用户当次向蜂鸟金融支付的蜂鸟金融服务费总额。</b></p>\
            <p><b>九、 通知及送达条款</b></p>\
            <p><b>1. 对于本协议项下的通知，蜂鸟金融有权以在蜂鸟金融平台公示或向用户在蜂鸟金融平台站内信息的方式发送，或根据用户在蜂鸟金融平台提交的信息通过电子邮箱、短信、电话、快递、挂号信的方式发送。如以公示方式发出通知，则在公示当日即视为已经送达；向用户的蜂鸟金融平台站内信息、电子邮箱或手机号码以电子信息形式发送的，一经成功发送即视为已经送达；以电话形式发送的，通知作出之时即为送达；以快递、挂号信的方式发送的，投递之日后第三日视为送达。</b></p>\
            <p><b>2. 用户承诺密切关注蜂鸟金融平台、用户蜂鸟金融平台账户、电子邮箱、邮件、短信，不得以未及时关注否认通知的送达。用户承诺及时在蜂鸟金融平台更新其联系信息，因用户未能及时更新联系信息而造成的损失由用户自身承担。</b></p>\
            <p><b>十、 法律适用与管辖</b></p>\
            <p>1. 本协议适用中华人民共和国法律。</p>\
            <p>2. 因本协议的签署、履行产生的争议由深圳市迅雷金融信息服务有限公司住所地的人民法院管辖。</p>\
            <p>十一、 电子合同</p>\
            <p>1. 用户签署本协议，以及在蜂鸟金融平台交易需订立的法律文件均采用电子方式订立。用户登陆自身账户以点击确认或其他类似方式签署的电子合同具有法律效力。除特别列明外，蜂鸟金融不提供任何纸质合同。用户可以自行或授权代理人根据本协议以及蜂鸟金融平台流程和说明，在蜂鸟金融平台通过点击确认的方式签署有关法律文件并经蜂鸟金融和/或其他合作机构审核通过后实现用户的交易需求。</p>\
            <p>2. 蜂鸟金融平台上的电子合同订立、生成及储存服务由<b>杭州天谷信息科技有限公司（“e签宝”）及其合作方提供。用户点击同意本协议的，视为用户同意使用或授权蜂鸟金融平台代理使用由“e签宝”及其合作方提供的电子签名、实名认证、时间戳、电子数据存证及出证等服务。具体服务内容以蜂鸟金融与“e签宝”签署的协议为准。</b></p>\
            <p>3. 用户在蜂鸟金融平台注册/登陆时及后续操作中将生成与用户对应账户的登陆信息（包括但不限于身份证件信息、手机号码、绑定邮箱、昵称、ID、登陆密码以及蜂鸟金融平台不时要求的其他信息）。<b>用户以其登陆信息登陆后在蜂鸟金融平台进行的操作，无论是否是用户自身亲自进行的操作，均视为用户自身的真实意思表示和用户自身的行为，一经成立生效即不可撤销，且对用户具有法律约束力并产生可强制执行的效力。用户应妥善保管自身账户登陆信息；用户承诺仅以自身账户或经授权的他人账户使用蜂鸟金融服务；用户同意承担因其泄露登陆信息及/或其未经授权登陆他方蜂鸟金融平台账户而产生的所有责任和损失。</b></p>\
            <p><b>4. 用户未能及时对交易状态或操作进行修改或确认或未能提交相关申请所引起的任何纠纷或损失均由用户自行负责，蜂鸟金融不承担任何责任。</b></p>\
            <p>5. 用户根据本协议以电子方式<b>签署法律文件后，非经法定或约定的方式和程序，不得擅自修改该法律文件。蜂鸟金融平台或“e签宝”向用户提供该等法律文件的保管、查询、核对等服务，用户如果对该等法律文件的真伪或内容有任何疑问，可以通过蜂鸟金融平台的相关系统板块查阅并进行核对。如用户经查询仍对该等法律文件的真伪、内容有任何争议，应以蜂鸟金融平台或“e签宝”记录为准。</b></p>\
            <p><b>十二、 附则</b></p>\
            <p>1. 蜂鸟金融对本协议拥有最终的解释权。</p>\
            <p>2. 若本协议的部分条款被认定为无效或者无法实施时，本协议中的其他条款仍然有效并应继续予以履行。</p>",
		shade: 'background-color: rgba(0,0,0,.3)',
	});
}