mui.ready(function() {
			
	mui.plusReady(function () {
		ajaxSetting();
	});
	
	//修改交易密码
	mui('.wrapper-setting').on('tap', '.trade-password', function() {
		mui.openWindow(path_http + 'lanmao/toResetPassword.htm', 'toResetPassword');
	});
	//去绑卡
	mui('.wrapper-setting').on('tap', '.to-bank-card', function() {
		mui.openWindow('/html/user/certification.html');
	});
	//去认证
	mui('.wrapper-setting').on('tap', '.unidentify', function() {
		mui.openWindow(path_http + 'lanmao/register.htm');
	});
	//修改密码
	mui('.wrapper-setting').on('tap', '.modify-password', function() {
		mui.openWindow('/html/user/modify-login-password.html', 'modify-login-password')
	})
	//退出登录
	mui('.wrapper-setting').on('tap', '.bid-invest-confrim', function() {
		popup('您确定要退出登录吗', ['确定', '取消'], function() {
			mui.ajax(path_http + 'user/logout.htm?APP_SOURCE=' + TEXT.APP_SOURCE, {
				dataType: 'json', //服务器返回json格式数据
				type: 'get', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				success: function(data) {
					if(data.result === 1) {
						plus.storage.removeItem('userName');
						plus.storage.removeItem('userPsw');
						plus.storage.removeItem('isGesture');
						var account = plus.webview.getWebviewById('html/account/account.html');
						mui.fire(account, 'unLogin');
						mui.back();
					} else {
						mui.toast(data.errorMsg);
					}
				},
				error: function(xhr, type, errorThrown) {
					mui.toast(type);
				}
			});
		});
	});

	mui.preload({
		url: '/html/user/revise-login-password.html',
		id: 'revise-login-password',
		styles: {}, //窗口参数
		extras: {} //自定义扩展参数
	});
	
	//预加载登录页
	mui.preload({
		url: '/html/user/login.html',
		id: 'login'
	});

});

function ajaxSetting() {
	mui.ajax(path_http + 'user/detailInfo.htm?APP_SOURCE=' + TEXT.APP_SOURCE, {
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data.result === 1) {
				$('.srtting-nickName').text(data.userName);
				$('.setting-phone').text(data.mobileNum);
				if(data.realId == 'null' || data.realId == null) {
					$('.srtting-nickName').text('未实名');
				}
				var bankCard = '';
				if(data.bankCard && data.bankCard.length > 0) {
					bankCard = '************' + data.bankCard;
					$('.bank-card-phone').text(data.mobileNum);
				} else {
					$('.setting-modification-content').show();
				}

				mui.ajax(path_http + 'myAssets/userTotalInfo.htm?APP_SOURCE=' + TEXT.APP_SOURCE, {
					dataType: 'json', //服务器返回json格式数据
					type: 'get', //HTTP请求类型
					timeout: 10000, //超时时间设置为10秒；
					success: function(data) {
						if(data.result === 1) {
							if(bankCard && bankCard.length > 0) {
								$('.bank-card').text(bankCard + '（' + data.yeePayBankName + '）');
							} else {
								$('.setting-modification-content').show();
								$('.bank-card').text('未绑卡');
							}
						}
					},
					error: function(xhr, type, errorThrown) {

					}
				});
			} else {
				var isLogin = plus.storage.getItem('userName');
				if(isLogin && isLogin.length > 0) {
					autoLogin(ajaxSetting);
				}else{
					toLogin('account-setting');
				}
			}
		},
		error: function(xhr, type, errorThrown) {

		}
	});
}

//注册弹窗调用
function popup(content, btn, callback1, callback2) {
	layer.open({
		className: 'app-dialog',
		content: content,
		btn: btn ? btn : '我知道了', //立即登录
		shade: 'background-color: rgba(0,0,0,.3)',
		shadeClose: false,
		yes: callback1,
		no: callback2
	});
}