var usableBalance = 0;
var userTotalMoney = '--';
var totalProfit = '--';
var isLogin;
var usableMoney = 0;
var ajaxData;
mui.ready(function() {
	window.addEventListener('init', function() {
		mui.preload({
			url: '/html/user/login.html',
			id: 'login'
		});

//		mui.preload({
//			url: 'withdraw.html',
//			id: 'withdraw'
//		});
		
		mui.plusReady(plusready);
	});
	
	mui.init({
		pullRefresh: {
			container: '#account',
			down: {
				style: 'circle',
				color: '#FD984A',
				height: 50,
				callback: function(){
					mui.trigger(window,'refresh');
				}
			}
		}
	});
	
	window.addEventListener('refresh', function() {
		plusready();
	});

	window.addEventListener('unLogin', function(e) {
		isLogin = plus.storage.getItem('userName');
		$('.total-invest-amount,.account-balance,.account-total-profit').text('--');
	});

	//充值
	mui('#account').on('tap', '.account-right-recharge', function() {
		if(isLogin) {
			mui.openWindow('recharge.html', 'recharge', {});
		} else {
			toLogin('html/account/account.html');
		}
	});
	//提现
	mui('#account').on('tap', '.account-right-withdraw', function() {
		if(isLogin) {
//			var withdrawWebview = plus.webview.getWebviewById('withdraw');
//			mui.fire(withdrawWebview, 'withdrawInit', {
//				usableMoney: usableMoney
//			})
			mui.openWindow('withdraw.html', 'withdraw', {});
		} else {
			toLogin('html/account/account.html');
		}
	});
	//资金明细
	mui('#account').on('tap', '.account-list-money', function() {
		if(isLogin) {
			mui.openWindow('transaction-records.html', 'transaction-records', {});
		} else {
			toLogin('html/account/account.html');
		}
	});
	//福利优惠券
	mui('#account').on('tap', '.account-list-coupon', function() {
		if(isLogin) {
			mui.openWindow('welfare-coupon-records.html', 'welfare-coupon-records', {});
		} else {
			toLogin('html/account/account.html');
		}
	});
	//风险测评
	mui('#account').on('tap', '.account-list-risk-test', function() {
		if(isLogin) {
			mui.openWindow('risk-questionnaire.html', 'risk-questionnaire', {});
		} else {
			toLogin('html/account/account.html');
		}
	});
	//收件地址
	mui('#account').on('tap', '.account-list-address', function() {
		if(isLogin) {
			mui.openWindow('user-address.html', 'user-address', {});
		} else {
			toLogin('html/account/account.html');
		}
	});
	//设置
	mui('#account').on('tap', '.account-set-btn', function() {
		if(isLogin) {
			mui.openWindow('account-setting.html', 'account-setting', {});
		} else {
			toLogin('html/account/account.html');
		}
	});
	//消息中心
	mui('#account').on('tap', '.account-msg-btn', function() {
		if(isLogin) {
			mui.openWindow('../message-center/message-center.html', 'message-center', {});
		} else {
			toLogin('html/account/account.html');
		}
	});
	//回款日历
	mui('#account').on('tap', '.account-list-calendar', function() {
		if(isLogin) {
			mui.openWindow('calendar-proceeds.html', 'calendar-proceeds', {});
		} else {
			toLogin('html/account/account.html');
		}
	});
	//出借记录
	mui('#account').on('tap', '.account-list-record', function() {
		if(isLogin) {
			mui.openWindow('invest-record.html', 'invest-record');
		} else {
			toLogin('html/account/account.html');
		}
	});
	//
	mui('#account').on('tap','.account-list-info-disclosure',function(){
		if(isLogin) {
			mui.openWindow('info-disclosure.html', 'info-disclosure');
		} else {
			toLogin('html/account/account.html');
		}
	});

	mui('#account').on('tap', '.account-list-more', function() {
		mui.openWindow('account-more.html', 'account-more');
	})

	mui('#account').on('tap', '.account-proterty', function() {
		var this_ = $(this);
		this_.toggleClass('account-proterty-hide');

		if(this_.hasClass('account-proterty-hide')) {
			plus.storage.setItem('hideFlag', 'true');
			$('.total-invest-amount,.account-balance,.account-total-profit').text('****');
		} else {
			plus.storage.setItem('hideFlag', 'false');
			$('.total-invest-amount').text(userTotalMoney);
			$('.account-balance').text(usableBalance);
			$('.account-total-profit').text(totalProfit);
		}
	});
});

function plusready() {
	isLogin = plus.storage.getItem('userName');
	mui.ajax(path_http + 'myAssets/userTotalInfo.htm?APP_SOURCE='+TEXT.APP_SOURCE, {
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data.result === 1) {
				usableMoney = data.usableBalance;
				userTotalMoney = toThousands(data.userTotalMoney);
				usableBalance = toThousands(data.usableBalance);
				totalProfit = toThousands(data.totalProfit);
				//风险评估类型
				riskType(data.riskAssessmentValue);
				if(data.hasNewMessage > 0) {
					$('.account-unread').show();
				}
				showMsg();

			} else if(isLogin && isLogin.length > 0) {
				autoLogin(plusready);
			}else{
				toLogin('html/account/account.html');
			}
			mui('#account').pullRefresh().endPulldownToRefresh();
		},
		error: function(xhr, type, errorThrown) {
			mui.toast(type);
		}
	});
}

function showMsg() {
	var hideFlag = plus.storage.getItem('hideFlag');
	if(hideFlag === 'true') {
		$('.account-proterty').addClass('account-proterty-hide');
		$('.total-invest-amount,.account-balance,.account-total-profit').text('****');
	} else {
		$('.total-invest-amount').text(userTotalMoney);
		$('.account-balance').text(usableBalance);
		$('.account-total-profit').text(totalProfit);
	}
}
//金额格式化千分位
function toThousands(num) {
	var num = (num || 0).toString(),
		result = '';
	var numArr = num.split('.');
	while(numArr[0].length > 3) {
		result = ',' + numArr[0].slice(-3) + result;
		numArr[0] = numArr[0].slice(0, numArr[0].length - 3);
	}
	if(numArr[0]) {
		result = numArr[0] + result;
	}
	if(numArr[1] && numArr[1].length > 0) {
		result = result + '.' + numArr[1];
	} else {
		result = result + '.' + '00';
	}
	return result;
}

function riskType(riskAssessmentValue){
	var riskValue = parseInt(riskAssessmentValue);
	var riskType;
	if(riskValue == 0){
		riskType = '（未评估）';
	}else if(riskValue < 10){
		riskType = '（保守型）';
	}else if(riskValue < 18){
		riskType = '（相对保守型）';
	}else if(riskValue < 27){
		riskType = '（稳健型）';
	}else if(riskValue < 36){
		riskType = '（成长型）';
	}else{
		riskType = '（积极型）';
	}
	$('.risk-test-type').text(riskType);
}
