mui.ready(function() {
	var clazz = $('#account-overview').attr('class');
	clazz = clazz + " current";
	$('#account-overview').attr('class', clazz);
	
	mui.plusReady(function () {
		//回款日历
		//日历初始化
		CalendarHandler.initialize();
		account_func.iniTitleClick();
		//日历的首部点击事件
		account_func.clickAction();
		$('.currentItem').click();
	})
});

//回款日历数据格式，全局变量!
var my_response_json = {
	un_recive: '0.00',
	recived: '0.00',
	list: []
};

var updateCalendarData = function(year, month, nowDay, nowDaysNub, lastMonthDaysNub, calculateSaturday, callback) {
	//layer.load();
	ajaxCanlder([year, month]);
	
	$('#dueInAmountId').html(parseInt(my_response_json.un_recive).toFixed(2)); // 待收金额
	$('#receivedAmountId').html(parseInt(my_response_json.recived).toFixed(2)); // 已收金额
	$('.queryMonth').html(month); // 查询月份

	//生成当月的日期
	var theMonthTag = 0;
	var my_response_json_list = my_response_json.list;
	var theDayArray = _.pluck(my_response_json_list, 'day'); //存在回款日的日期数组
	var theDayArrayLength = theDayArray.length;
	for(var i = 0; i < nowDaysNub; i++) {
		theMonthTag++;
		if(i == (nowDay - 1)) {
			calculateSaturday++;
			if(calculateSaturday % 7 == 0) {
				var index = _.indexOf(theDayArray, '' + theMonthTag);
				if(index != '-1') {
					$dayItem.append("<div class=\"item currentItem saturdayItem itemWithRecord\"><a>" + (i + 1) + "</a></div>");
				} else {
					$dayItem.append("<div class=\"item currentItem saturdayItem\"><a>" + (i + 1) + "</a></div>");
				}

			} else {
				var index = _.indexOf(theDayArray, '' + theMonthTag);
				if(index != '-1') {
					$dayItem.append("<div class=\"item currentItem itemWithRecord\"><a>" + (i + 1) + "</a></div>");
				} else {
					$dayItem.append("<div class=\"item currentItem\"><a>" + (i + 1) + "</a></div>");
				}
				//$dayItem.append("<div class=\"item currentItem\"><a>" + (i + 1) + "</a></div>");
			}
		} else {
			calculateSaturday++;
			if(calculateSaturday % 7 == 0) {
				var index = _.indexOf(theDayArray, '' + theMonthTag);
				if(index != '-1') {
					$dayItem.append("<div class=\"item saturdayItem itemWithRecord\"><a>" + (i + 1) + "</a></div>");
				} else {
					$dayItem.append("<div class=\"item saturdayItem\"><a>" + (i + 1) + "</a></div>");
				}
				//$dayItem.append("<div class=\"item saturdayItem\"><a>" + (i + 1) + "</a></div>");
			} else {
				var index = _.indexOf(theDayArray, '' + theMonthTag);
				if(index != '-1') {
					$dayItem.append("<div class=\"item itemWithRecord\"><a>" + (i + 1) + "</a></div>");
				} else {
					$dayItem.append("<div class=\"item\"><a>" + (i + 1) + "</a></div>");
				}
				//$dayItem.append("<div class=\"item\"><a>" + (i + 1) + "</a></div>");
			}
		}
	}

	return calculateSaturday;
}

function ajaxCanlder(parms){
	mui.ajax(path_http + 'account/paymentCalendar.htm', {
		data: {
			"year": parms[0],
			"month": parms[1],
			"APP_SOURCE": TEXT.APP_SOURCE
		},
		async: false,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒
		success: function(result) {
			//layer.closeAll();
			if(result.result == 1) {
				var data = result.pcVo;

				my_response_json.un_recive = data.expectedRepayment - data.hasRepayment;
				my_response_json.recived = data.hasRepayment;
				
				var repaymentRecords = data.repaymentRecords;
				var list = new Array();
				if(repaymentRecords && repaymentRecords.length > 0) {
					for(var i = 0; i < repaymentRecords.length; i++) {
						var record = repaymentRecords[i];
						var time = record.repaymentDate;
						var date = new Date(time);
						var day = "" + date.getDate();
						var right_words = (record.repaymentAmount).toFixed(2);
						var other_amount = (record.otherAmount).toFixed(2);
						var item = {
							"day": day,
							"left_name": record.repaymentDesc,
							"right_words": right_words,
							"other_amount": other_amount
						};
						list.push(item);
					}
				}
				my_response_json.list = list;
			} else {
				var isLogin = plus.storage.getItem('userName');
				if(isLogin && isLogin.length > 0){
					autoLogin(ajaxCanlder,parms);
				}else{
					my_response_json = {
						un_recive: 0.00,
						recived: 0.00,
						list: []
					};
					mui.toast(data.errorMsg);
				}
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast(type);
		}
	});
}

var account_func = {
	iniTitleClick: function() {
		$('#title .month').on('click', function() {
			CalendarHandler.CalculateLastMonthDays();
		});
		$('#title .selectYear').on('click', function() {
			CalendarHandler.CreateSelectYear(CalendarHandler.showYearStart);
		});
		$('#title .selectMonth').on('click', function() {
			CalendarHandler.CreateSelectMonth();
		});
		$('#title .nextMonth').on('click', function() {
			CalendarHandler.CalculateNextMonthDays();
		});
		$('#title .currentDay').on('click', function() {
			CalendarHandler.CreateCurrentCalendar(0, 0, 0);
		});
	},
	clickAction: function() {

		$('.item').on('click', function() {
			$(this).parents('.dayItem').find('.itemSelected').removeClass('itemSelected');
			$(this).addClass('itemSelected'); //当天被选中
			var dayTime = $('#title .selectYear').html() + $('#title .selectMonth').html() + $(this).find('a').html() + '日'; //更新右侧第二行显示日期
			var my_response_json_list = my_response_json.list;
			var record_array = _.where(my_response_json_list, {
				day: $(this).find('a').html()
			});
			var record_array_length = record_array.length;
			var record_desc = "";
			if(record_array_length != 0) { //若当天有数据，则更新右侧内容区
				record_desc += "<li><p class='gray-light'>" + dayTime + "</p>";
				var record_str = "";
				var total = 0;
				for(var i = 0; i < record_array_length; i++) {
					record_str += '<li><p>' + record_array[i].left_name + '</p><p>'+record_array[i].right_words;
					if(parseFloat(record_array[i].other_amount)>0){
						record_str = record_str +"+" + record_array[i].other_amount;
					}
					record_str += '元</p></li>';
					total += parseFloat(record_array[i].right_words) + parseFloat(record_array[i].other_amount);
				}
				record_desc += "<p class='orange'>总额：" + total + "元</p></li>";
				record_desc += record_str;
			} else {
				record_desc += "<li><p class='gray-light'>" + dayTime + "</p><p class='orange'>总额：0元</p></li>";
				record_desc += "<li>本日无待收本息</li>";
			}
			$('.proceeds-record').html(record_desc);
		});

		$('.nextItem').on('click', function(e) {
			CalendarHandler.CalculateNextMonthDays();
		});
		$('.lastItem').on('click', function(e) {
			CalendarHandler.CalculateLastMonthDays();
		});
	}
};

var CalendarHandler = {
	currentYear: 0,
	currentMonth: 0,
	isRunning: false,
	showYearStart: 2009,
	tag: 0,
	initialize: function() {
		$calendarItem = this.CreateCalendar(0, 0, 0);
		$("#Container").append($calendarItem);

		$("#context").css("height", $("#CalendarMain").height() - $('#title').height() + "px");
		$("#center").css("height", $("#context").height() - $(".week").innerHeight() + "px");
		$("#selectYearDiv").css("height", $("#center").height() + "px").css("width", $("#context").width() + "px");
		$("#selectMonthDiv").css("height", $("#center").height() + "px").css("width", $("#context").width() + "px");
		$("#centerCalendarMain").css("height", $("#center").height() + "px").css("width", $("#context").width() + "px");

		$calendarItem.css("height", $("#center").height() + "px");
		$("#Container").css("height", "0px").css("width", "0px").css("margin-left", $("#context").width() / 2 + "px").css("margin-top", ($("#context").height() - 30) / 2 + "px");
		$("#Container").animate({
			width: $("#context").width() + "px",
			height: ($("#context").height() - 30) * 2 + "px",
			marginLeft: "0px",
			marginTop: "0px"
		}, 300, function() {
			$calendarItem.css("visibility", "visible");
		});
		$(".dayItem").css("width", $("#context").width() + "px");
		var itemPaddintTop = $(".dayItem").height() / 6;
		$(".item").css({
			"width": ($(".week").width() / 7 - 1) + "px",
			"line-height": itemPaddintTop + "px",
			"height": itemPaddintTop + "px"
		});
		$(".week>h3").css("width", ($(".week").width() / 7 - 0.1429) + "px");
		// this.RunningTime();
	},
	CreateSelectYear: function(showYearStart) {
		CalendarHandler.showYearStart = showYearStart;
		$(".currentDay").show();
		$("#selectYearDiv").children().remove();
		var yearindex = 0;
		for(var i = showYearStart; i < showYearStart + 12; i++) {
			yearindex++;
			if(i == showYearStart) {
				$last = $("<div>往前</div>");
				$("#selectYearDiv").append($last);
				$last.click(function() {
					CalendarHandler.CreateSelectYear(CalendarHandler.showYearStart - 10);
				});
				continue;
			}
			if(i == showYearStart + 11) {
				$next = $("<div style='border-right:none;'>往后</div>");
				$("#selectYearDiv").append($next);
				$next.click(function() {
					CalendarHandler.CreateSelectYear(CalendarHandler.showYearStart + 10);
				});
				continue;
			}

			if(i == this.currentYear) {
				$yearItem = $("<div class=\"currentYearSd\" id=\"" + yearindex + "\">" + i + "</div>")

			} else {
				$yearItem = $("<div id=\"" + yearindex + "\">" + i + "</div>");
			}
			$("#selectYearDiv").append($yearItem);
			$yearItem.click(function() { //选择了某年
				$calendarItem = CalendarHandler.CreateCalendar(Number($(this).html()), 1, 1);
				$("#Container").append($calendarItem);
				CalendarHandler.CSS()
				CalendarHandler.isRunning = true;
				$($("#Container").find(".dayItem")[0]).animate({
					height: "0px"
				}, 300, function() {
					$(this).remove();
					CalendarHandler.isRunning = false;
				});
				$("#centerMain").animate({
					marginLeft: -$("#center").width() + "px"
				}, 500);
				account_func.clickAction(); //选择了某年
			});
			if(yearindex == 1 || yearindex == 5 || yearindex == 9) $("#selectYearDiv").find("#" + yearindex).css("border-left-color", "#fff");
			if(yearindex == 4 || yearindex == 8 || yearindex == 12) $("#selectYearDiv").find("#" + yearindex).css("border-right-color", "#fff");

		}
		$("#selectYearDiv>div").css("width", ($("#center").width() - 4) / 4 + "px").css("line-height", $("#center").height() / 3 + "px");
		$("#centerMain").animate({
			marginLeft: "0px"
		}, 300);
	},
	CreateSelectMonth: function() {
		$(".currentDay").show();
		$("#selectMonthDiv").children().remove();
		for(var i = 1; i < 13; i++) {
			if(i == this.currentMonth) $monthItem = $("<div class=\"currentMontSd\" id=\"" + i + "\">" + i + "月</div>");
			else $monthItem = $("<div id=\"" + i + "\">" + i + "月</div>");
			$("#selectMonthDiv").append($monthItem);
			$monthItem.click(function() { //选择了某月
				$calendarItem = CalendarHandler.CreateCalendar(CalendarHandler.currentYear, Number($(this).attr("id")), 1);
				$("#Container").append($calendarItem);
				CalendarHandler.CSS()
				CalendarHandler.isRunning = true;
				$($("#Container").find(".dayItem")[0]).animate({
					height: "0px"
				}, 300, function() {
					$(this).remove();
					CalendarHandler.isRunning = false;
				});
				$("#centerMain").animate({
					marginLeft: -$("#center").width() + "px"
				}, 500);
				account_func.clickAction();
			});
			if(i == 1 || i == 5 || i == 9) $("#selectMonthDiv").find("#" + i).css("border-left-color", "#fff");
			if(i == 4 || i == 8 || i == 12) $("#selectMonthDiv").find("#" + i).css("border-right-color", "#fff");
		}
		$("#selectMonthDiv>div").css("width", ($("#center").width() - 4) / 4 + "px").css("line-height", $("#center").height() / 3 + "px");
		$("#centerMain").animate({
			marginLeft: -$("#center").width() * 2 + "px"
		}, 300);
	},
	IsRuiYear: function(aDate) {
		return(0 == aDate % 4 && (aDate % 100 != 0 || aDate % 400 == 0));
	},
	CalculateWeek: function(y, m, d) {
		var arr = "1234567".split("");
		with(document.all) {
			var vYear = parseInt(y, 10);
			var vMonth = parseInt(m, 10);
			var vDay = parseInt(d, 10);
		}
		var week = arr[new Date(y, m - 1, vDay).getDay()];
		return week;
	},
	CalculateMonthDays: function(m, y) {
		var mDay = 0;
		if(m == 0 || m == 1 || m == 3 || m == 5 || m == 7 || m == 8 || m == 10 || m == 12) {
			mDay = 31;
		} else {
			if(m == 2) {
				//判断是否为芮年
				var isRn = this.IsRuiYear(y);
				if(isRn == true) {
					mDay = 29;
				} else {
					mDay = 28;
				}
			} else {
				mDay = 30;
			}
		}
		return mDay;
	},
	CreateCalendar: function(y, m, d) {

		$dayItem = $("<div class=\"dayItem\"></div>");
		//获取当前月份的天数
		var nowDate = new Date();
		if(y == nowDate.getFullYear() && m == nowDate.getMonth() + 1 || (y == 0 && m == 0))
			$(".currentDay").hide();
		var nowYear = y == 0 ? nowDate.getFullYear() : y;
		this.currentYear = nowYear;
		var nowMonth = m == 0 ? nowDate.getMonth() + 1 : m;
		this.currentMonth = nowMonth;
		var nowDay = d == 0 ? nowDate.getDate() : d;
		$(".selectYear").html(nowYear + "年");
		$(".selectMonth").html(nowMonth + "月");
		var nowDaysNub = this.CalculateMonthDays(nowMonth, nowYear);
		//获取当月第一天是星期几
		//var weekDate = new Date(nowYear+"-"+nowMonth+"-"+1);
		//alert(weekDate.getDay());
		var nowWeek = parseInt(this.CalculateWeek(nowYear, nowMonth, 1));
		//nowWeek=weekDate.getDay()==0?7:weekDate.getDay();
		//var nowWeek=weekDate.getDay();
		//获取上个月的天数
		var lastMonthDaysNub = this.CalculateMonthDays((nowMonth - 1), nowYear);

		var calculateSaturday = 0;
		if(nowWeek != 0) {
			//生成上月剩下的日期
			for(var i = (lastMonthDaysNub - (nowWeek - 1)); i < lastMonthDaysNub; i++) {
				calculateSaturday++;
				if(calculateSaturday % 7 == 0) {
					$dayItem.append("<div class=\"item lastItem saturdayItem\"><a>" + (i + 1) + "</a></div>");
				} else {
					$dayItem.append("<div class=\"item lastItem\"><a>" + (i + 1) + "</a></div>");
				}
			}
		}
		calculateSaturday = updateCalendarData(nowYear, nowMonth, nowDay, nowDaysNub, lastMonthDaysNub, calculateSaturday);

		//获取总共已经生成的天数
		var hasCreateDaysNub = nowWeek + nowDaysNub;
		//如果小于42，往下个月推算
		if(hasCreateDaysNub < 42) {
			for(var i = 0; i <= (42 - hasCreateDaysNub); i++) {
				calculateSaturday++;
				if(calculateSaturday % 7 == 0) {
					$dayItem.append("<div class=\"item nextItem saturdayItem\"><a>" + (i + 1) + "</a></div>");
				} else {
					$dayItem.append("<div class=\"item nextItem\"><a>" + (i + 1) + "</a></div>");
				}
				//$dayItem.append("<div class=\"item nextItem\"><a>" + (i + 1) + "</a></div>");
			}
		}
		return $dayItem;
	},
	CSS: function() {
		var itemPaddintTop = $(".dayItem").height() / 6;
		$(".item").css({
			//			"width": '50.1' + "px",
			"width": ($(".week").width() - 1) / 7 + "px",
			//			"line-height": '50' + "px",
			"line-height": itemPaddintTop + "px",
			//			"height": '50' + "px"
			"height": itemPaddintTop + "px"
		});
	},
	CalculateNextMonthDays: function() {
		if(this.isRunning == false) {
			$(".currentDay").show();
			var m = this.currentMonth == 12 ? 1 : this.currentMonth + 1;
			var y = this.currentMonth == 12 ? (this.currentYear + 1) : this.currentYear;
			var d = 0;
			var nowDate = new Date();
			if(y == nowDate.getFullYear() && m == nowDate.getMonth() + 1) d = nowDate.getDate();
			else d = -1;
			// else d = 1;
			$calendarItem = this.CreateCalendar(y, m, d);
			$("#Container").append($calendarItem);

			this.CSS();
			this.isRunning = true;
			$($("#Container").find(".dayItem")[0]).animate({
				height: "0px"
			}, 300, function() {
				$(this).remove();
				CalendarHandler.isRunning = false;
			});
			account_func.clickAction(); //选择了下一个月
		}
	},
	CalculateLastMonthDays: function() {
		if(this.isRunning == false) {
			$(".currentDay").show();
			var nowDate = new Date();
			var m = this.currentMonth == 1 ? 12 : this.currentMonth - 1;
			var y = this.currentMonth == 1 ? (this.currentYear - 1) : this.currentYear;
			var d = 0;

			if(y == nowDate.getFullYear() && m == nowDate.getMonth() + 1) d = nowDate.getDate();
			else d = -1;
			// else d = 1;
			$calendarItem = this.CreateCalendar(y, m, d);
			$("#Container").append($calendarItem);
			var itemPaddintTop = $(".dayItem").height() / 6;
			this.CSS();
			this.isRunning = true;
			$($("#Container").find(".dayItem")[0]).animate({
				height: "0px"
			}, 300, function() {
				$(this).remove();
				CalendarHandler.isRunning = false;
			});
			account_func.clickAction(); //选择了上一个月
		}
	},
	CreateCurrentCalendar: function() {
		if(this.isRunning == false) {
			$(".currentDay").hide();
			$calendarItem = this.CreateCalendar(0, 0, 0);
			$("#Container").append($calendarItem);
			this.isRunning = true;
			$($("#Container").find(".dayItem")[0]).animate({
				height: "0px"
			}, 300, function() {
				$(this).remove();
				CalendarHandler.isRunning = false;
			});
			this.CSS();
			$("#centerMain").animate({
				marginLeft: -$("#center").width() + "px"
			}, 500);
		}
		account_func.clickAction(); //选择了今天
	},
	RunningTime: function() {
		var mTiming = setInterval(function() {
			var nowDate = new Date();
			var h = nowDate.getHours() < 10 ? "0" + nowDate.getHours() : nowDate.getHours();
			var m = nowDate.getMinutes() < 10 ? "0" + nowDate.getMinutes() : nowDate.getMinutes();
			var s = nowDate.getSeconds() < 10 ? "0" + nowDate.getSeconds() : nowDate.getSeconds();
			var nowTime = h + ":" + m + ":" + s;
			// $("#footNow").html("本地时间 "+nowTime);
		}, 1000);

	}
}