$(function(){
	
	mui('.mui-content').on('tap','.call-phone',function(){
	  var phone = $('.call-phone').text();
	    plus.device.dial( phone, true );
	});
	
	mui('.mui-content').on('tap','.notice-list a',function(){
		var href = $(this).data('href');
		mui.openWindow(href, href);
	});
	
	$(".nav-child-operation").hide();
	
	$('.report-title').on('click', function(){
		var intent = $(this).data('intent');
		mui.openWindow('../operationalReport/' + intent, 'report-' + intent);
	});
	
	$(".nav-content").on('click', function(){
		$(".nav-content").removeClass('nav-selected');
		
		var navChild = "." + $(this).addClass('nav-selected').data("nav");
		$('.nav-child-container').hide();
		$('.nav-child-children').hide();
		$(navChild).show();
		
		switch (navChild) {
		case ".nav-child-aboutUs":
			$(".nav-child-content").removeClass('nav-child-selected');
			$(".nav-child-aboutUs .nav-child-content:first-child").addClass('nav-child-selected');
			$(".aboutUs-website").show();
			break;
		case ".nav-child-operation":
			$(".nav-child-content").removeClass('nav-child-selected');
			$(".nav-child-operation .nav-child-content:first-child").addClass('nav-child-selected');
			$(".operation-data").show();
			break;
		}
	});
	$(".nav-child-content").on('click', function(){
		$(".nav-child-content").removeClass('nav-child-selected');
		var children = "." + $(this).addClass('nav-child-selected').data("content");
		$(".nav-child-children").hide();
		$(children).show();
	});
	
	$(".operational-charts-left").on('click',function(){
		var curTxt = parseInt($('.chart-current-txt').text());
		$('.chart-current-txt').text(curTxt - 1);
		$('.chart-money-'+curTxt).hide();
		$('.chart-money-'+(curTxt - 1)).show();
		if(curTxt < 2018){
			$(".operational-charts-left").addClass("visibility");
		}
		if(curTxt <= 2018){
			$(".operational-charts-right").removeClass("visibility");
		}
	});
	
	$(".operational-charts-right").on('click',function(){
		var curTxt = parseInt($('.chart-current-txt').text());
		$('.chart-current-txt').text(curTxt + 1);
		$('.chart-money-'+curTxt).hide();
		$('.chart-money-'+(curTxt + 1)).show();
		if(curTxt > 2016){
			$(".operational-charts-right").addClass("visibility");
		}
		if(curTxt >= 2016){
			$(".operational-charts-left").removeClass("visibility");
		}
	});
	
	$(".operational-charts-number-left").on('click',function(){
		var curTxt = parseInt($('.chart-current-number-txt').text());
		$('.chart-current-number-txt').text(curTxt - 1);
		$('.chart-count-'+curTxt).hide();
		$('.chart-count-'+(curTxt - 1)).show();
		if(curTxt < 2018){
			$(".operational-charts-number-left").addClass("visibility");
		}
		if(curTxt <= 2018){
			$(".operational-charts-number-right").removeClass("visibility");
		}
	});
	
	$(".operational-charts-number-right").on('click',function(){
		var curTxt = parseInt($('.chart-current-number-txt').text());
		$('.chart-current-number-txt').text(curTxt + 1);
		$('.chart-count-'+curTxt).hide();
		$('.chart-count-'+(curTxt + 1)).show();
		if(curTxt > 2016){
			$(".operational-charts-number-right").addClass("visibility");
		}
		if(curTxt >= 2016){
			$(".operational-charts-number-left").removeClass("visibility");
		}
	});
	
	var chartsData = {
		title: ['累计出借金额(元)','累计出借金额(元)','累计出借金额(元)','累计交易笔数(笔)','累计交易笔数(笔)','累计交易笔数(笔)'],
		dataxAxis: [['1月', '2月', '3月', '4月','5月', '6月', '7月', '8月','9月', '10月', '11月', '12月']],
		datayAxis: [
		            [29820,6799138,27617694,64395955,120471137,177193250,234564086,282797637,323969360,332624360,341894359,348774359],
		            [348774359,348774359,351154250,353066025,355534326,361973592,371690192,385308531,394881381,404416257,411658058,415184363],
		            [419723136,421887365,423619365,425350365,427430365,428550365,430748365,432474365,436017297,438890865,442098898,443732363],
		            [26,1777,5683,12340,24773,36429,47035,56128,63537,64293,64948,65532],
		            [65532,65532,65681,65766,65893,66241,67553,68791,69597,70256,70934,71369],
		            [71781,72198,72525,72634,72779,72877,73036,73186,73494,73841,74257,74557]
		           ],
		ymax: [500000000,500000000,500000000,100000,100000,100000]
	};
	
	var options = function(i){
		var index = i;
		return option = {
				grid: {
					left: '10%',
					right: '2%',
					bottom: '10%',
					top: '18%'
				},
			    title: [{
			        text: chartsData.title[i],
			        left: '2%',
			        top: '0%',
			        textStyle: {
			        	color: '#333',
			        	fontSize: getAndroidDpr(),
			        	fontWeight: 'normal'
			        }
			    }],
			    tooltip : {
			        trigger: 'item',
			        axisPointer : {            // 坐标轴指示器，坐标轴触发有效
			            type : 'shadow'        // 默认为直线，可选为：'line' | 'shadow'
			        }
			    },
			    xAxis: {
			        data: chartsData.dataxAxis[0],
			        axisLabel: {
			            textStyle: {
			                color: '#666',
			                fontSize: getAndroidDpr()
			            }
			        },
			        axisTick: {
			            show: false
			        },
			        axisLine: {
			            show: true,
			            lineStyle: {
			            	color: '#e6e6e6'
			            }
			        },
			        z: 10
			    },
			    yAxis: {
			    	max: chartsData.ymax[i],
			        axisLine: {
			            show: true,
			            lineStyle: {
			            	color: '#e6e6e6'
			            }
			        },
			        axisTick: {
			            show: false
			        },
			        splitLine: {
			        	show: false
			        },
			        axisLabel: {
			            textStyle: {
			            	color: '#666',
			                fontSize: getAndroidDpr()
			            },
			            formatter: function(value,index){
			            	var texts = [];
			            	if(chartsData.ymax[i] == 500000000){
			            		if(value==0){
				            		texts.push('0亿');
				            	}
				            	else if (value <=100000000) {
				            		texts.push('1亿');
				            	}
				            	else if (value<= 200000000) {
				            		texts.push('2亿');
				            	}
				            	else if(value<= 300000000){
				            		texts.push('3亿');
				            	}
				            	else if(value<= 400000000){
					            	texts.push('4亿');
					            }
				            	else{
				            	texts.push('5亿');
				            	}
			            	}
			            	
			            	if(chartsData.ymax[i] == 100000){
			            		if(value==0){
				            		texts.push('0万');
				            	}
				            	else if (value <=20000) {
				            		texts.push('2万');
				            	}
				            	else if (value<= 40000) {
				            		texts.push('4万');
				            	}
				            	else if(value<= 60000){
				            		texts.push('6万');
				            	}
				            	else if(value<= 80000){
					            	texts.push('8万');
					            }
				            	else{
				            	texts.push('10万');
				            	}
			            	}
			            	return texts;
			            }
			        }
			    },
			    series: [
			        {
			            type: 'bar',
			            barWidth: 15,
			            itemStyle: {color: '#8db4fc'},
			            animation: false,
			            data: chartsData.datayAxis[index]
			        }
			    ],
			};
	}
	
	for (var i = 0; i < chartsData.datayAxis.length; i++) {
		var chart = document.getElementById(("reportChart" + (i+1)));
		var myChart = echarts.init(chart);
		var option = options(i);
	    myChart.setOption(option, true);
	}
	
	
	//出借人年龄、性别分布
	var dataPie = {
			id: ['reportPieAge','reportPieSex'],
			title: ['出借人年龄分布', '出借人性别分布'],
			seriesName: ['年龄占比', '性别占比'],
			dataPie: [[
						{value: 128, name: '20岁以下',itemStyle: {color: '#fd9fd5'},label: {show: false,formatter: ['{money|{d}%}','{money|20岁以下}'].join('\n'),rich: {money: {lineHeight: 20,color: "#666",fontSize: 14}}}},
						{value: 15079, name: '20-30岁',itemStyle: {color: '#fd8386'},label: {show: false,formatter: ['{money|{d}%}','{money|20-30岁}'].join('\n'),rich: {money: {lineHeight: 20,color: "#666",fontSize: 14}}}},
						{value: 11822, name: '31-40岁',itemStyle: {color: '#fed06a'},label: {show: false,formatter: ['{money|{d}%}','{money|31-40岁}'].join('\n'),rich: {money: {lineHeight: 20,color: "#666",fontSize: 14}}}},
						{value: 4583, name: '41-50岁',itemStyle: {color: '#8bd186'},label: {show: false,formatter: ['{money|{d}%}','{money|41-50岁}'].join('\n'),rich: {money: {lineHeight: 20,color: "#666",fontSize: 14}}}},
						{value: 4533, name: '50岁以上',itemStyle: {color: '#a68efc'},label: {show: false,formatter: ['{money|{d}%}','{money|50岁以上}'].join('\n'),rich: {money: {lineHeight: 20,color: "#666",fontSize: 14}}}},
		            ],
		            [
						{value: 25849, name: '男',itemStyle: {color: '#8faafc'},label: {show: false,formatter: '男：{d}%',color: '#666',fontSize: 14}},
						{value: 10296, name: '女',itemStyle: {color: '#fed482'},label: {show: false,formatter: '女：{d}%',color: '#666',fontSize: 14}}
		             ]],
		    legendData: [['20岁以下','20-30岁','31-40岁','41-50岁','50岁以上'],['男','女']]
	};
	var optionsPie = function(i){
		return optionPie = {
		    title : {
		        text: dataPie.title[i],
		        x:'center',
		        bottom: '5%',
		        textStyle: {
		        	color: '#333',
		        	fontSize: 16,
		        	fontWeight: 'normal',
		        }
		    },
		    tooltip : {
		        trigger: 'item',
		        formatter: "{a} <br/>{b} : {c} ({d}%)"
		    },
		    legend: {
		        orient: 'vertical',
		        left: 'right',
		        top: 'center',
		        data: dataPie.legendData[i]
		    },
		    series : [
		        {
		            name: dataPie.seriesName[i],
		            type: 'pie',
		            radius : '55%',
		            center: ['35%', '50%'],
		            data: dataPie.dataPie[i],
		            labelLine: {
		            	show: false
		            },
		            itemStyle: {
		                emphasis: {
		                    shadowBlur: 10,
		                    shadowOffsetX: 0,
		                    shadowColor: 'rgba(0, 0, 0, 0.5)'
		                }
		            }
		        }
		    ]
		}
	}

	for (var i = 0; i < dataPie.id.length; i++) {
		var reportPie = document.getElementById(dataPie.id[i]);
		var pieChart = echarts.init(reportPie);
		
		var optionsPieData = optionsPie(i);
		pieChart.setOption(optionsPieData, true);
	}
});

var getAndroidDpr = function getAndroidDpr(){
	var isAndroid = window.navigator.appVersion.match(/android/gi);
	var devicePixelRatio = window.devicePixelRatio;
	if(isAndroid){
		if (devicePixelRatio == 1) {
            return 18;
        }else {
            return 12;
        }
	}
};