var height = parseInt($('.invest-record-head-container').outerHeight());
var devicePixelRatio = window.devicePixelRatio;
mui.ready(function() {
	if(mui.os.ios && devicePixelRatio >= 2){
		height = height / 2;
	}
	height = height + 'px';
	mui.init({
		subpages: [{
			url: 'invest-record-current.html', //子页面HTML地址，支持本地地址和网络地址
			id: 'invest-record-current', //子页面标志
			styles: {
				top: height,
				bottom: '0px',
			},
			extras: {}
		}],
		preloadPages: [{
				url: 'invest-record-finished.html',
				id: 'invest-record-finished',
				styles: {
					top: height,
					bottom: '0px',
				}, //窗口参数
				extras: {}, //自定义扩展参数
				subpages: [{}, {}] //预加载页面的子页面
			},
			{
				url: 'invest-record-history.html',
				id: 'invest-record-history',
				styles: {
					top: height,
					bottom: '0px',
				}, //窗口参数
				extras: {}, //自定义扩展参数
				subpages: [{}, {}] //预加载页面的子页面
			}
		]
	});

	mui.plusReady(function() {
		var self = plus.webview.currentWebview();
		self.addEventListener('hide', function() {
			plus.webview.close('invest-record-history');
			plus.webview.close('invest-record-finished');
			plus.webview.close('invest-record');
		});
	});

	//tab当前出借记录
	mui('.invest-record-container').on('tap', '.invest-record-nav-now', function() {
		var firstView = plus.webview.getWebviewById('invest-record');
		firstView.show();

		$('.invest-record-nav').removeClass('selected-nav');
		$(this).addClass('selected-nav');
	});
	//tab结清记录
	mui('.invest-record-container').on('tap', '.invest-record-nav-settle', function() {
		var secondView = plus.webview.getWebviewById('invest-record-finished');
		secondView.show();

		$('.invest-record-nav').removeClass('selected-nav');
		$(this).addClass('selected-nav');
	});
	//tab历史出借
	mui('.invest-record-container').on('tap', '.invest-record-nav-history', function() {
		var thirdView = plus.webview.getWebviewById('invest-record-history');
		thirdView.show();

		$('.invest-record-nav').removeClass('selected-nav');
		$(this).addClass('selected-nav');
	});
});