var userId;
var id = 0;
mui.ready(function() {
	getAddress();
	mui('.mui-content').on('tap', '.login-btn', function() {
		var username = $('#username').val();
		var phone = $('#phone').val();
		var address = $('#address').val();
		
		if(!username){
			popup('请填写收件人姓名');
			return;
		}
		if(!phone){
			popup('请填写联系电话');
			return;
		}
		if(!address){
			popup('请填写收件地址');
			return;
		}
		
		saveAddress({username: username, phone: phone, address: address});
	})
});

/**
 *	保存收货地址信息
 */
function saveAddress(data){
	mui.ajax( path_http + 'account/editUserAddress.htm',{
		data:{
			id: id,
			userId: userId,
			username: data.username,
			phone: data.phone,
			address: data.address
		},
		dataType:'json',//服务器返回json格式数据
		type:'post',//HTTP请求类型
		timeout:10000,//超时时间设置为10秒；
		success:function(data){
			if (data.result === 1) {
				popup('收货地址编辑成功', '', function(){
					mui.back();
				});
			} else{
				autoLogin(saveAddress, data)
			}
		},
		error:function(xhr,type,errorThrown){
			mui.toast(TEXT.Ajaxerror);
		}
	});
}

/**
 * 获取收货地址信息
 */
function getAddress() {
	mui.ajax(path_http + 'account/toUserAddressPage.htm', {
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data.result === 1) {
				$('#username').val(data.userAddress.username);
				$('#phone').val(data.userAddress.phone);
				$('#address').val(data.userAddress.address);
				userId = data.userAddress.userId;
				id = data.userAddress.id;
			} else {
				autoLogin(getAddress);
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast(TEXT.Ajaxerror);
		}
	})
}

//注册弹窗调用
function popup(content, btn, callback) {
	layer.open({
		className: 'popup-login',
		content: content,
		btn: btn ? btn : '我知道了', //立即登录
		shade: 'background-color: rgba(0,0,0,.3)',
		shadeClose: false,
		yes: callback
	});
}