var storePopover = function(item, callback) {
	var contentStr;
	var contentStr1 = "<div class='popup-exchange-content' data-type='" + item.type + "' data-id='" + item.id + "'>\
						<p>兑换商品：" + item.name + "</p>\
						<p>使用积分：<span class='popup-exchange-color'>" + item.price + "</span></p>";
	var contentStr2 = "<input type='text' id='usernameId' placeholder='请输入收货人姓名'/>\
						<input type='tel' id='phoneId' placeholder='请输入手机号码' maxLength='11'/>\
						<div id='addressId' class='adddress-manage placeholder-style' contenteditable='true'>请输入收货地址</div>";
	var contentStr3 = "<input id='passwordId' type='password' placeholder='请输入登录密码'/>\
						<span class='popup-exchange-error'></span>\
						<a href='' class='exchange-forgetpsw'></a>\
					</div>";

	if(item.type === 5) {
		contentStr = contentStr1 + contentStr2 + contentStr3;
	} else {
		contentStr = contentStr1 + contentStr3;
	}
	layer.open({
		className: 'store-detail-exchange',
		content: contentStr,
		shade: 'background-color: rgba(0,0,0,.3)',
		btn: ["确定", "取消"],
		yes: callback,
		no: function() {

		},
		shadeClose: false
	});
}

function callbackSubmit() {
	var dataMsg = {
		id: $('.popup-exchange-content').data('id'),
		productType: $('.popup-exchange-content').data('type'),
		exchangeCount: 1,
		tradePassword: $('#passwordId').val(),
		md5Password: "",
		username: "",
		phone: "",
		address: ""
	}

	if(dataMsg.productType == 5) { // 实物
		dataMsg.username = $('#usernameId').val();
		dataMsg.phone = $('#phoneId').val();
		dataMsg.address = $('#addressId').text();
		if(!dataMsg.username || dataMsg.username.length <= 0) {
			$(".popup-exchange-error").text("请输入收货人姓名");
			return;
		}
		if(!dataMsg.phone || dataMsg.phone.length <= 0) {
			$(".popup-exchange-error").text("请输入手机号码");
			return;
		}
		if(!dataMsg.address || dataMsg.address.length <= 0 || dataMsg.address == "请输入收货地址") {
			$(".popup-exchange-error").text("请输入收货地址");
			return;
		}
	}

	if(!dataMsg.tradePassword || dataMsg.tradePassword.length <= 0) {
		$(".popup-exchange-error").text("请输入登录密码");
		return;
	}
	dataMsg.md5Password = hex_md5(dataMsg.tradePassword);
	//提交
	ajaxSubmit(dataMsg);
}

function ajaxSubmit(dataMsg) {
	mui.ajax(path_http + 'integralMall/exchange.htm', {
		data: {
			id: dataMsg.id,
			exchangeCount: dataMsg.exchangeCount,
			tradePassword: dataMsg.md5Password,
			username: dataMsg.username,
			phone: dataMsg.phone,
			address: dataMsg.address,
			APP_SOURCE: TEXT.APP_SOURCE
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data.result === 1) {
				layer.closeAll();
				//兑换成功
				layer.open({
					className: 'store-detail-success',
					content: '<p class="popup-success-tips1">兑换成功</p><p class="popup-success-tips2">您可在我的账户-福利优惠券中查看使用</p>',
					btn: '我知道了',
					shade: 'background-color: rgba(0,0,0,.3)',
					shadeClose: false,
					end: function() {
						ajaxInit();
					}
				});
			} else {
				//提示
				layer.open({
					className: 'store-detail-tips',
					content: data.errorMsg,
					skin: 'msg',
					time: 2
				});
			}
		},
		error: function(xhr, type, errorThrown) {
			//提示
			layer.open({
				className: 'store-detail-tips',
				content: type,
				skin: 'msg',
				time: 2
			});
		}
	});
}