mui.ready(function() {
	mui('.wrapper-forget').on('tap', '.login-btn', function() {
		var psw = /^(([a-zA-Z]+[0-9]+)|([0-9]+[a-zA-Z]+))[a-z0-9]*$/i;
		var oldPassword = $('#oldPassword').val();
		var newPassword = $('#passowrd').val();
		var confirmPassowrd = $('#confirmPassowrd').val();
		if (!oldPassword || oldPassword.length<=0) {
			popup('请输入旧登录密码');
			return;
		}
		if (!newPassword || newPassword.length<=0) {
			popup('请输入新密码');
			return;
		}
		if (!confirmPassowrd || confirmPassowrd.length<=0) {
			popup('请输入确认密码');
			return;
		}
		if(!psw.test(newPassword) || newPassword.length < 6 || newPassword.length > 16){
			//新密码格式不对
			popup("密码需字母+数字组合，长度控制在6-16个字符");
			return;
		}
		
		if(newPassword !== confirmPassowrd){
			popup('两次密码输入不一致，请重新输入');
			return;
		}
		var Md5_oldPassword = hex_md5(oldPassword);
		var Md5_newPassword = hex_md5(newPassword);
		
		submitAjax(Md5_oldPassword, Md5_newPassword);
	});
});
//
function submitAjax(oldPassword, newPassword) {
	mui.ajax(path_http + 'user/modifyPassword.htm', {
		data: {
			oldPassword: oldPassword,
			newPassword: newPassword,
			APP_SOURCE: TEXT.APP_SOURCE
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if (data.result === 1) {
				plus.storage.setItem('userPsw', newPassword);
				mui.toast('修改密码成功');
				mui.back();
			} else{
				switch (data.errorCode){
					case 105:
						//未登录
						
						break;
					case 101:
						popup(data.errorMsg);
						break;
				}
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast(type);
		}
	});
}

//弹窗调用
function popup(content, btn, callback1, callback2) {
	layer.open({
		className: 'app-dialog',
		content: content,
		btn: btn ? btn : '我知道了', //立即登录
		shade: 'background-color: rgba(0,0,0,.3)',
		shadeClose: false,
		yes: callback1,
		no: callback2
	});
}